GNU bug report logs - #66151
29.1.50; daemon crashing after X forwarding disconnects

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Benjamin Schwehn <bschwehn@HIDDEN>; dated Fri, 22 Sep 2023 10:23:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 66151 <at> debbugs.gnu.org:


Received: (at 66151) by debbugs.gnu.org; 10 Apr 2024 15:43:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 10 11:43:10 2024
Received: from localhost ([127.0.0.1]:54196 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1rua6Q-0002qo-5P
	for submit <at> debbugs.gnu.org; Wed, 10 Apr 2024 11:43:10 -0400
Received: from mail-yw1-x1129.google.com ([2607:f8b0:4864:20::1129]:56320)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <georgepanagopo@HIDDEN>) id 1rua6N-0002pG-CU
 for 66151 <at> debbugs.gnu.org; Wed, 10 Apr 2024 11:43:09 -0400
Received: by mail-yw1-x1129.google.com with SMTP id
 00721157ae682-61805d5b1deso35963307b3.0
 for <66151 <at> debbugs.gnu.org>; Wed, 10 Apr 2024 08:42:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1712763773; x=1713368573; darn=debbugs.gnu.org;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:from:to:cc:subject:date:message-id:reply-to;
 bh=me3z1hq82X8TaFBFqdI8gh7woceBTYTjcqLaTASNbW4=;
 b=Ys3RqFfXMCz3uXjemlPFsA2jF5t3AzRRsdZWqT0yIVjs68JNbg7LX5X9vIMpLpmVO2
 oO+mpIkUCbiqbtcwxPdHOsILPwYp1/9P64IAlP0oE5QKYtHEdBS7FL/M6Y2/yGzx4lcj
 umrqOXsPhRDKBk5BVPYvgMtCks1T6hGfPm4DAKdn8c8WocT3NM09rwM6mi7t6OMDtZpp
 xlwzNOoSBDZyQuNUCx+5DEzWFidqqufKMWeo5xtn9+qz9Q9CqaPEgqnQb+Av/HUy6tUp
 65wwRbdA6USDOKMCC2Ic58OgDbS8SFHjPGDwnF5LDh9nH3gFUdbHEArSMVnvUNbgx6UG
 /9iw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712763773; x=1713368573;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=me3z1hq82X8TaFBFqdI8gh7woceBTYTjcqLaTASNbW4=;
 b=HHpzxmSO0DQAIRjYdOdi1f7VmjeqN1hGdtYS+mLEX50AMJaCwnLcYAmbKviFjXnRei
 Eky9lm62lpUGLAH/S2teReeRhMaKLfmnHwUguh3yi38fmL5OeC7NBdY30/Ny9l8Y1Km0
 6jGn3p0Bhp6yse0xwGmPae+xlHzWIgrSyLNpLimVIlBe9tYdJ6VL+0Gq3KMsZMtSKCkN
 7t77H7Z1Q2rKJld88aMdLMZ1r+9W6607q7+wibm3+jMv8U05ZwJtKBnn2Pi4iQeHBhC+
 84orc9pzvlHjPKwRcDo4FyjW1B4f/c4sRPTWdO6+a/sQIh3xfIyjEfRiu+Km0pNJ0pdC
 OoKA==
X-Gm-Message-State: AOJu0YyP+4Mj1m8zjMEEuJZtL57wf6TPPc8US1WOLxvo/HN0JwIAb72y
 GEEPnjBVJjv8BNq/m4pdGdfGqeCJkZdTbhlHdXnZ5Ue4VIExGsmlxgF3JpSguVeQbGGxw1IGHZc
 AeiKKmgxhKEEba4H3y0wPNEHtt2w=
X-Google-Smtp-Source: AGHT+IGexQnpk/RhXeaHxCnSMSwr6cCQ0/YIwVmSkhOlxBtH/ZvB34433QYL8NxSlX5x7k2WfTev7pcWqLpGC4j7uMM=
X-Received: by 2002:a81:4990:0:b0:611:278d:fb80 with SMTP id
 w138-20020a814990000000b00611278dfb80mr3519914ywa.8.1712763772813; Wed, 10
 Apr 2024 08:42:52 -0700 (PDT)
MIME-Version: 1.0
References: <CAGcjMxmg029kmHjH7V_FnpqsJbPRZxjtM3JtZoO9v38j0Fsg-A@HIDDEN>
 <CAGcjMxnt2aEGq8Pp39ep-0K7FKxm2dvExVmDgV32c3+GZ6nuFw@HIDDEN>
 <87jzl63rhd.fsf@HIDDEN>
In-Reply-To: <87jzl63rhd.fsf@HIDDEN>
From: George P <georgepanagopo@HIDDEN>
Date: Wed, 10 Apr 2024 10:42:43 -0500
Message-ID: <CAGcjMxkWeWSDzrEu6oatbB4Y5J1fh6uYqWXaoY9r=mePuikT-w@HIDDEN>
Subject: Re: bug#66151: 29.1.50; daemon crashing after X forwarding disconnects
To: Po Lu <luangruo@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 66151
Cc: 66151 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is the trace I get (similar to Ben's):

Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
0x0000000000506a94 in realize_basic_faces ()
(gdb) where
#0  0x0000000000506a94 in realize_basic_faces ()
#1  0x000000000050979d in recompute_basic_faces ()
#2  0x000000000068b172 in Fset_fontset_font ()
#3  0x00000000005ecdc6 in eval_sub ()
#4  0x00000000005eef49 in Feval ()
#5  0x00007ffff23830d8 in F6576616c2d65787072657373696f6e_eval_expression_0 ()
   from /nix/store/1db10dgbfwzb5q3m78f497arkpv34y21-emacs-29.1/bin/../lib/emacs/29.1/native-lisp/29.1-41778d84/preloaded/simple-fab5b0cf-a050dc2b.eln
#6  0x00000000005e8d61 in Ffuncall ()
#7  0x00000000005e4c41 in Ffuncall_interactively ()
#8  0x00000000005e8d61 in Ffuncall ()
#9  0x00000000005e8f80 in Fapply ()
#10 0x00000000005e65c3 in Fcall_interactively ()
#11 0x00007ffff23876dd in F636f6d6d616e642d65786563757465_command_execute_0 ()
   from /nix/store/1db10dgbfwzb5q3m78f497arkpv34y21-emacs-29.1/bin/../lib/emacs/29.1/native-lisp/29.1-41778d84/preloaded/simple-fab5b0cf-a050dc2b.eln
#12 0x00000000005e8d61 in Ffuncall ()
#13 0x000000000056c05c in command_loop_1 ()
#14 0x00000000005e75af in internal_condition_case ()
#15 0x0000000000556ec6 in command_loop_2 ()
#16 0x00000000005e7513 in internal_catch ()
#17 0x0000000000556e61 in command_loop ()
#18 0x000000000055b9eb in recursive_edit_1 ()
#19 0x000000000055bd6f in Frecursive_edit ()
#20 0x000000000042d184 in main ()

This is probably not that useful without debug symbols though....




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#66151; Package emacs. Full text available.

Message received at 66151 <at> debbugs.gnu.org:


Received: (at 66151) by debbugs.gnu.org; 10 Apr 2024 02:02:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 09 22:02:37 2024
Received: from localhost ([127.0.0.1]:51833 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ruNIK-0006dd-WD
	for submit <at> debbugs.gnu.org; Tue, 09 Apr 2024 22:02:37 -0400
Received: from sonic312-25.consmr.mail.ne1.yahoo.com ([66.163.191.206]:45766)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1ruNII-0006d6-8q
 for 66151 <at> debbugs.gnu.org; Tue, 09 Apr 2024 22:02:35 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1712714539; bh=JysV2V0IAqCRilLyWQyhYW2qwOr/fxRMzYquW/VLWBU=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=YrXLCSTKb7UBLuQWTfBlTDf+GsiCRGcqykGJNVOuIXVfRn24OxXb1C9rAD+ka0s/JGpB4WgSgdvKtWD42HrWVtxvntwL1Pk3Uv5BOR6slgbpwjTgZ/HWsQ2N96riG5O9uO3aL5rdExe59ZbTweLBaaUUEt7iML05jYEOv15qmkMwXArJzwPrI48Kniqasm2zC43oa26yFf6xbWsBEsh1KDL9JDMCE43SD6ibh2WXI9UOJ+93NbBtGtq40IIl2ZodDzg+qYJpkw+4ZajabcaM7jZwT26xE7dygvHi2ZaxHo72wM7Q/hebqzwMf8rb/T8qYOkXpXQo70LZJhqC4mKFMg==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1712714539; bh=azA/Q09O7KHZj4dsVggLg98H8MBZxaCRHKDIbsSo+zv=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=t+aluvJrIyF43W8YVDHInn+I4tnJFuaA1MhYzW8FLGkMKdH725YH2kwVRQXnJgVM7fFmTVDgUWujw1dS78bmczXi0DEGuimvuwZO1yuSbENPfSxi5I9YVsLYYX/PLitWr+VEpZeIzmkxZOjRkK6U7y/29csFX/FCihMVSuYw9gUuIQKtgqDZkNw3tTgFY+gJuZsRqas8stOwFUh2dcfzdeeFcf/wxXmkrv4Q6TwWIlDg8/xFrIsSwURTxarY5KxmarIe64cQP9hdF1SXDbw9FzWN66MEcXOH104RyVcICORa29z6tDBVo7c72rFOUsBnEfqTspFE7uXSsnKyUe3ftw==
X-YMail-OSG: jJ_Q_74VM1nmqCHmVfhkVON1OV96w2MB_XEgNwV.vFjwQiCHZkYOL98A95A4EYa
 CFx22Mi8NBQkE.C8ISKItERro9tuapyWChlB8jTZyHQGgIeLQU2ayhy3KWUvhNN89y2SvojnaBVm
 R.S.bkMyNyXWKPZs9KkpmuQ48tPUpug73fN1A_.JwAMqYQ0aURRaB6PgHN99ys_BU1lgu1wXerZI
 WBrV4xH6DihZMsj52JEeICA8jYhBeiGEYbnBLQzij42pRLIjPkl9n1xCnSvHrzpLLFVHL8f0A2Yb
 cC3A8wRshkqUCXXxBBPYFgXZryZp5lDpP6k9teTmwD9uZ.aVNcJGeBAjHchfOfWjroYuFSGbIA9O
 .0xAEUUkQiZ_leFvTF2ak0liIgCA_vkl3W5hvIgf.9JhGZEg2jXxuyTB5ZRw38z3NfZsA50CQvZP
 K.zQlaigGtZKEpeNBp6T1K8NmeZXMMRIpskcRz.BpDb1vX2VP9ZqHbQGQQ8QWQGFpKSDRi83.PtE
 XpdP4gPQnFpV4vpScE1mXYOCZBr6yOhXfeeIov1DxyWcwqEToecEgut8DwVYvTIN3isiXvLE_4nI
 L0HeGY7a.KhMeeTn4yZFrIoEYEOCxOkaDxgxTjeAexBDmEDs4Kj_u0h9FHEJephCM6gSBIiQm1eC
 wqlQRJfJzMOwpR5_OxqS_pDvg25rVzF8m.WfWM.pP4cyV7O.YqTp39nmlNlgc.fHxhU243W0dSyM
 7nvoLxaW2o.Eiz10iXZsOjcjIdCaz7dpGNCq4t7G7XvX3TGXRW3TXAy9fX_.7D0PoH3ZpJEy6eB2
 QYalm0pvBjEp4RJUEt64lzW01bCLv_mMUl3egsgZcSr8WlmsyEQzHorvzy3Z2VBMbbnlu7j64xSi
 8lUqNV17.RgFPCkRC6XiItM.nzReGQ606.gPL4V4sKb3YQrINlqwRKGss7Vj55xi6vE6UySEB1kz
 w.TVrwUCJwFa9XE.dgb6twhhGI_.7OjSW_Z57fFTN.IF_.Zu8cBOeknXgt6QxAiqU8Tv4nyF3SrI
 ifOwvLIjIJtUaPqsxm4e2hsWSMYmGep_6t15j.7hSr7IqkF5KqYTziPioUpzJsuPaaXCC5P3f2M8
 uYtA6RF0gJouImiknMjGRZgAYEDqGDk6D8Ob8m3Y.5Xe4O.u3YsEKgNK7L.wkD4JHBIcQURDb24n
 idYz2cOHj0yGjuCXlEKqIfEuxQvSnw9iHA0MtSeGhvA.GSfJYQu9VnWk55zQj5UtkhcB3Aq3GgYT
 E5LAMatYNvmRVaN5kGbWmRBTakOh12j3erP1gSv4kigV7Q.BTLhgSlLtkarjxwu9hwOQPIUz02bm
 PAUFyLLe1638a4Gja4SBk9f0B3COWM0jU4gsoo1oe.7NVnVJJGW6i7W4vBDFX53nflAHYki1GtOe
 bFSbOo6aq1w8cM.RhwV.2744YNrfkAEbm1hG2PW87r6LheP_WLxZD2zPcN35MRMxSvuVQPKixSrP
 d2z7afdEDFE61AzwQW67K2L_lABHsFVQPUyOmXQGmD9vQTmI0Uc1FfAjShM475YUvBvhbBW57je0
 aOSYx51QDwsBjYCXpbwbm7Yotq6RrFAgDHC2WWt2YZOTMygkUM_OlOngRWaSrg3w9AgBUA1UFjGk
 QmsToLAHrXbHXfrFTO_igPKcLyL52QU9hvF7Jp7TIW4bm.2_0azU5bpYt1aCLWfPHLL._hCLUQs8
 tWNK3RzcnyY0KaoAK4N7RktPTOnrZ_IDcUJ3erkAiMqaYjCNmrKwvO.k3XuO8N6ZqbnuwCSk4YTN
 7xvWnJcpzStnBnbECOwnQv30OMWBFB7GjuadxJbvGj9DvdyEecyqFQXYR34xssNp.DO7iDmQtYP_
 1wcA.CE_L9Gbli0dJUKRM0F52KYQxCVcC3T8jHrG.AwURXG2sNiPl40Nr2psbGRsDwIkF3lJeJV8
 NSdN25tD9s.mJng4KAVBxdWd8Hu_98jWNvU852ukRQtBSLT2XDNC.X7FC8pNVswu71pkv77BjAVO
 LPJdQJhIKbIBE8WrHwEJQ6ZxepvtiUODRnLv28Xj8yxAga07pTeB6nkDp7dyyCDJUTgphS2u5kxn
 nJemY7cHlmLaz3MxiwRkILbbViA3mYIIubW9wwLdqoUWgmPxSu976QitLJOW_k0wrhL3e.dscnbv
 GtHWAYFCa.zDvm4zvFcIUVHjyLElz73esIxB0fgbQt5NVLo5q_g61nmpz8cvMdfUiojto.N2iV1z
 CVUaauw2IngoDsWtLY09y9iX63RQ4K75kiXDhptEdeDzJ9DK97zEzE8B6qa33p3.G_g--
X-Sonic-MF: <luangruo@HIDDEN>
X-Sonic-ID: 3741bc16-e791-4d63-a4c3-056d2dd1cb55
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic312.consmr.mail.ne1.yahoo.com with HTTP; Wed, 10 Apr 2024 02:02:19 +0000
Received: by hermes--production-sg3-6dc75bc8fb-r5vvk (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID 7e491ea998574deed835d53097993a3e; 
 Wed, 10 Apr 2024 02:02:12 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: George P <georgepanagopo@HIDDEN>
Subject: Re: bug#66151: 29.1.50; daemon crashing after X forwarding disconnects
In-Reply-To: <CAGcjMxnt2aEGq8Pp39ep-0K7FKxm2dvExVmDgV32c3+GZ6nuFw@HIDDEN>
 (George P.'s message of "Tue, 9 Apr 2024 12:28:03 -0500")
References: <CAGcjMxmg029kmHjH7V_FnpqsJbPRZxjtM3JtZoO9v38j0Fsg-A@HIDDEN>
 <CAGcjMxnt2aEGq8Pp39ep-0K7FKxm2dvExVmDgV32c3+GZ6nuFw@HIDDEN>
Date: Wed, 10 Apr 2024 10:02:06 +0800
Message-ID: <87jzl63rhd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.22205
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 2619
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 66151
Cc: 66151 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

George P <georgepanagopo@HIDDEN> writes:

> Hi,
>
> I am able to reproduce this bug without launching a new emacsclient.
> Steps to reproduce:
>
> - Start emacs daemon.
> - Connect using emacsclient -c.
> - Connect remotely to the daemon and run another emacsclient -c using
> X forwarding.
> - Crash the X forwarding connection created in the previous step.
> - Go back to the emacsclient running locally on the daemon and run
> (set-fontset-font t '(#xe000 . #xf8ff) "Symbols Nerd Font Mono")
>
> The reason that Ben was seeing a crash with a new emacsclient is
> because he is using Doom (an Emacs framework) that attached a function
> to server-after-make-hook that called set-fontset-font in the above
> way. As Eli said, there is really no good reason to run such a hook
> after the first frame, and this behavior has been fixed in Doom. (To
> Ben: try upgrading Doom and see if it fixes your issue, if not let me
> know!)
>
> Surprisingly, the segfault still happens even if I explicitly call
> delete-frame on the dead frame before calling set-fontset-font. Also,
> I am unable to reproduce this bug without Doom (i.e. launching the
> daemon with -Q).
>
> I am confused as to why emacs doesn't automatically clean up frames
> that have been disconnected like this. If emacs survives a crash of
> the X server, it should be able to identify that the display is dead
> (e.g. by checking the validity of output_data.x) and remove it from
> the (frame-list), preventing any subsequent commands from acting on
> these frames. It has to do something more than what delete-frame does,
> as that does not fix the issue (even though it removes the frame from
> the (frame-list)).
>
> Note: using GTK is very different, as emacs crashes *without* having
> to run set-fontset-font (i.e. emacs crashes when the X forwarding
> connection crashes). With lucid, emacs continues to run fine with the
> exception of this bug for me.

I cannot reproduce this crash, but I suspect the culprit is to be found
in the retention of the remote frame beyond the destruction of the X
server connection, which is not detected when Emacs returns to the event
loop, and remains unnoticed until set-fontset-font prompts a request to
be issued that flushes the now-destroyed connection.  Whatever code
issues this request is not robust against abrupt destruction of frames
by the IO error handler and consequently crashes attempting to
dereference the dead frame.

Please attach GDB to the running Emacs daemon and post a backtrace from
such a crash--with any luck, the code responsible will be rather
pathological and easily addressable.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#66151; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Apr 2024 22:54:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 09 18:54:19 2024
Received: from localhost ([127.0.0.1]:51742 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ruKM6-0000Y5-Gv
	for submit <at> debbugs.gnu.org; Tue, 09 Apr 2024 18:54:19 -0400
Received: from lists.gnu.org ([2001:470:142::17]:45962)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <georgepanagopo@HIDDEN>) id 1ruIDD-0008VR-EO
 for submit <at> debbugs.gnu.org; Tue, 09 Apr 2024 16:37:01 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <georgepanagopo@HIDDEN>)
 id 1ruICx-0006KW-8P
 for bug-gnu-emacs@HIDDEN; Tue, 09 Apr 2024 16:36:43 -0400
Received: from mail-wm1-x333.google.com ([2a00:1450:4864:20::333])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <georgepanagopo@HIDDEN>)
 id 1ruICs-0006EH-AN; Tue, 09 Apr 2024 16:36:43 -0400
Received: by mail-wm1-x333.google.com with SMTP id
 5b1f17b1804b1-416c9158d5dso390535e9.1; 
 Tue, 09 Apr 2024 13:36:37 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1712694995; x=1713299795; darn=gnu.org;
 h=mime-version:content-transfer-encoding:msip_labels:content-language
 :accept-language:message-id:date:thread-index:thread-topic:subject
 :cc:to:from:from:to:cc:subject:date:message-id:reply-to;
 bh=tcBTdTQDts+NMuhoBO4+vDG33x0Ig3UUjYUWrnScv/I=;
 b=Mrf+Y3L4jELyKqeiyE1iprV6eYCSan9g30ujojNsv+/BfL0FC5lDPpIWx7eIc5isvy
 ON8uoaYfPZkkLyZ3w4lE8aYf1I1VqdV9VbQoeNdC7GpA5f0BSX2X7EGVMi0bdw82Kkpg
 rhxaKt2DhFhrZqkTCt58ihXKaUph3arZzypDfjrVAU2xt8W2Zw7mXDLv39enfnq+p7FW
 JiUTfJI8FBndwh30rOwSrBZS+ooXTQqEv6DwvLgUPl0eO+ncrk2i0/ekTHguse4VyMI6
 Ct5Y998lYCG3JZ6W6PbL9w+PBBRvOeYWFKmwEz7HmNz30MZ9HabNX5yO9WcEQEPy9Xli
 X5vw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712694995; x=1713299795;
 h=mime-version:content-transfer-encoding:msip_labels:content-language
 :accept-language:message-id:date:thread-index:thread-topic:subject
 :cc:to:from:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=tcBTdTQDts+NMuhoBO4+vDG33x0Ig3UUjYUWrnScv/I=;
 b=Y+XuSEdX7Wrc11jh//CiqAuB5e56wG4ap33QUn5mfqPvChVWNLcw6KjNV9wlf/6Q7y
 5nPOl69l5QN9V+rbyj2VAAKPgNx/XM/1Zmz2goJVVEJ2GuGgL5CnnDiGgq+Xm7Hy7Uvk
 lAEeCrLBEneC0CeYNMzUiaT1Rw8Az6R61DOz0TXge5zJyb6BRNH94BQvUNuMD+Y14jIV
 S1aUVs04Rh5GvpCl8ajdu+p1Ubi8ZsH4DFA65cXaLgXEjBgsn9qFgDSgIpjJtff4aB2v
 ca+1MHICNLMOmJeQeFweVa+wwceJymULV1gw2JQv4jJeUEpr74nZfXYVInt8bARvFyZq
 n76A==
X-Forwarded-Encrypted: i=1;
 AJvYcCXnrQ1FP4pYseZEdWPkTBivcJgoUXKuGDxDevLYTLX0/oxoJVasAYoOUh+De4JdyoltDrmqE3rCted48iQ=
X-Gm-Message-State: AOJu0Yy9O/OG1e9sdNg1TW2r3daakZ91vuD1ci8lCTddnwdu7dvT0vYS
 6YVQQgauC1pbe+3sE+clWGELyaxAp8fIFag1xUbRif58ICqSyP47N5MrFEn7QcMDNQ==
X-Google-Smtp-Source: AGHT+IHnreG3XxO92Wh9zx7yYd2XLdK4YeVKQK0Mo1nZjLOBin7riPtM/29z0MFML5AqWFDnSGGTgA==
X-Received: by 2002:a05:600c:46c6:b0:415:52df:4db1 with SMTP id
 q6-20020a05600c46c600b0041552df4db1mr674660wmo.7.1712694995356; 
 Tue, 09 Apr 2024 13:36:35 -0700 (PDT)
Received: from LO4P123MB4589.GBRP123.PROD.OUTLOOK.COM ([2603:1026:c06:142b::5])
 by smtp.gmail.com with ESMTPSA id
 bg14-20020a05600c3c8e00b00416b92dceaesm36562wmb.11.2024.04.09.13.36.34
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 09 Apr 2024 13:36:34 -0700 (PDT)
From: George P <georgepanagopo@HIDDEN>
To: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
Subject: bug#66151: 29.1.50; daemon crashing after X forwarding disconnects
Thread-Topic: bug#66151: 29.1.50; daemon crashing after X forwarding
 disconnects
Thread-Index: AQHairxOfQ9CxplYhEK5DPRJ2G7oLA==
X-MS-Exchange-MessageSentRepresentingType: 1
Date: Tue, 9 Apr 2024 20:36:33 +0000
Message-ID: <LO4P123MB458900C1B99BFBE34C83A245F5072@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-Exchange-Organization-SCL: -1
X-MS-TNEF-Correlator: 
X-MS-Exchange-Organization-RecordReviewCfmType: 0
msip_labels: 
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
Received-SPF: pass client-ip=2a00:1450:4864:20::333;
 envelope-from=georgepanagopo@HIDDEN; helo=mail-wm1-x333.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 T_SPF_TEMPERROR=0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 09 Apr 2024 18:54:15 -0400
Cc: "luangruo@HIDDEN" <luangruo@HIDDEN>, "eliz@HIDDEN" <eliz@HIDDEN>,
 "bschwehn@HIDDEN" <bschwehn@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hi,=0A=
=0A=
I am able to reproduce this bug without launching a new emacsclient.=0A=
Steps to reproduce:=0A=
=0A=
- Start emacs daemon.=0A=
- Connect using emacsclient -c.=0A=
- Connect remotely to the daemon and run another emacsclient -c using X for=
warding.=0A=
- Crash the X forwarding connection created in the previous step.=0A=
- Go back to the emacsclient running locally on the daemon and run=0A=
(set-fontset-font t '(#xe000 . #xf8ff) "Symbols Nerd Font Mono")=0A=
=0A=
The reason why Ben was seeing a crash with a new emacsclient is because he =
is using Doom (an Emacs framework) that attached a function to server-after=
-make-hook that called set-fontset-font in the above way. As Eli said, ther=
e is really no good reason to run such a hook after the first frame, and th=
is behavior has been fixed in Doom. (To Ben: try upgrading Doom and see if =
it fixes your issue, if not let me know!)=0A=
=0A=
Surprisingly, the segfault still happens even if I explicitly call delete-f=
rame on the dead frame before calling set-fontset-font. Also, I am unable t=
o reproduce this bug without Doom (i.e. launching the daemon with -Q).=0A=
=0A=
I am confused as to why emacs doesn't automatically clean up frames that ha=
ve been disconnected like this. If emacs survives a crash of the X server, =
it should be able to identify that the display is dead (e.g. by checking th=
e validity of output_data.x) and remove it from the (frame-list), preventin=
g any subsequent commands from acting on these frames. It has to do somethi=
ng more than what delete-frame does, as that does not fix the issue (even t=
hough it removes the frame from the (frame-list)).=0A=
=0A=
Note: using GTK is very different, as emacs crashes *without* having to run=
 set-fontset-font (i.e. emacs crashes when the X forwarding connection cras=
hes). With lucid, emacs continues to run fine with the exception of this bu=
g for me.=0A=




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#66151; Package emacs. Full text available.

Message received at 66151 <at> debbugs.gnu.org:


Received: (at 66151) by debbugs.gnu.org; 9 Apr 2024 22:53:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 09 18:53:57 2024
Received: from localhost ([127.0.0.1]:51725 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ruKLl-0000V3-4Y
	for submit <at> debbugs.gnu.org; Tue, 09 Apr 2024 18:53:57 -0400
Received: from mail-yw1-x1132.google.com ([2607:f8b0:4864:20::1132]:59428)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <georgepanagopo@HIDDEN>) id 1ruFGm-000404-Aa
 for 66151 <at> debbugs.gnu.org; Tue, 09 Apr 2024 13:28:29 -0400
Received: by mail-yw1-x1132.google.com with SMTP id
 00721157ae682-6181237230dso23660007b3.2
 for <66151 <at> debbugs.gnu.org>; Tue, 09 Apr 2024 10:28:20 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1712683694; x=1713288494; darn=debbugs.gnu.org;
 h=to:subject:message-id:date:from:in-reply-to:references:mime-version
 :from:to:cc:subject:date:message-id:reply-to;
 bh=rhglhIAl2iHOiT0gpBr900AxhdxP1anpSud8yW5da2Y=;
 b=T++GLoU57stGie+sN/I/PqnLfVQCXSjXDKBOqjUJte9s/xEOHiZucPY+OUAKJDQL4d
 rJdaWxom9vbxuZMeBBYAgPIH6h+d+B3okT3SIQFaa+GxGyPUt+tNKoxXXSWwIDFiZm7Y
 27lqvDrqAT0FiOQUzhI5X/zt4zZwpH08O625GrjBzUvD1jS5OtEFtXw/FEw5IunHrfTU
 +mVCQC9x1b1QruZLp9ZqIU6TGxRpknGOzv/kxikhNZERDufymBEmI2M1UEp5cicW7x4D
 h+i0/lzXxxke4Lxkrr8KmfNx9KcqFDSI9HpkTjgiN5Fo+C6OgDX4z7Lw5AITTGUuh2GB
 Ydyw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712683694; x=1713288494;
 h=to:subject:message-id:date:from:in-reply-to:references:mime-version
 :x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=rhglhIAl2iHOiT0gpBr900AxhdxP1anpSud8yW5da2Y=;
 b=wGC2FmMaDBrcBfs+ynSvNHpL0pCiDj8br74kYRWcUw6kJXSHy8fTkJwLSX2gnbfowF
 OFcRZQAuSZhW0BzoX3SG06iwgdx/WxLRwKUP/yevaFMtlnvys0cc+iKqQgQK5ViNEGhN
 AOVSe6Cgy5e+Jz0LH36Yz/Tv5TsvysvEeVDPH/3ABGURBVT5C+aWc2ML3g2dzQCFmqsr
 +0XGG47G5T26KajdEQ8P6dJNAZHoPQQZkQ7G62kq47kOOO3tIdKAM/ghnSy/nBJaAzGB
 2VIOGA7pfMbM/jMaR/cS9rpy3o+tXdcmKnzd9mzgbsQyvXkBUFrVBlHwaov0+crZ4T84
 zZXg==
X-Gm-Message-State: AOJu0YwFqfAizDqdvRuJLn+YIr8dvAHlG9ySlVxuNGwTs+OTPQyxkaTu
 /W7V0tUqgBk1dUvke7uFSRYkLIkqT8OdSFcrN6aaZmfFGxY8H9SMLHA51uulOVF207x41IUvN4J
 4JZS5/Uqh597iPRAJ35cUUZtYvq+cpm2IbVSf+w==
X-Google-Smtp-Source: AGHT+IERh3P3Zj5c56wvpLdGhRmp2t2FgHsg85ZSYuhuO61H2Lupbn6oIgtmoR8KRP8dJNWK2TED6Z/JNmjQgqmeL7I=
X-Received: by 2002:a0d:d6cc:0:b0:614:2da9:4a83 with SMTP id
 y195-20020a0dd6cc000000b006142da94a83mr411781ywd.9.1712683694348; Tue, 09 Apr
 2024 10:28:14 -0700 (PDT)
MIME-Version: 1.0
References: <CAGcjMxmg029kmHjH7V_FnpqsJbPRZxjtM3JtZoO9v38j0Fsg-A@HIDDEN>
In-Reply-To: <CAGcjMxmg029kmHjH7V_FnpqsJbPRZxjtM3JtZoO9v38j0Fsg-A@HIDDEN>
From: George P <georgepanagopo@HIDDEN>
Date: Tue, 9 Apr 2024 12:28:03 -0500
Message-ID: <CAGcjMxnt2aEGq8Pp39ep-0K7FKxm2dvExVmDgV32c3+GZ6nuFw@HIDDEN>
Subject: Re: bug#66151: 29.1.50; daemon crashing after X forwarding disconnects
To: 66151 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 66151
X-Mailman-Approved-At: Tue, 09 Apr 2024 18:53:54 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

I am able to reproduce this bug without launching a new emacsclient.
Steps to reproduce:

- Start emacs daemon.
- Connect using emacsclient -c.
- Connect remotely to the daemon and run another emacsclient -c using
X forwarding.
- Crash the X forwarding connection created in the previous step.
- Go back to the emacsclient running locally on the daemon and run
(set-fontset-font t '(#xe000 . #xf8ff) "Symbols Nerd Font Mono")

The reason that Ben was seeing a crash with a new emacsclient is
because he is using Doom (an Emacs framework) that attached a function
to server-after-make-hook that called set-fontset-font in the above
way. As Eli said, there is really no good reason to run such a hook
after the first frame, and this behavior has been fixed in Doom. (To
Ben: try upgrading Doom and see if it fixes your issue, if not let me
know!)

Surprisingly, the segfault still happens even if I explicitly call
delete-frame on the dead frame before calling set-fontset-font. Also,
I am unable to reproduce this bug without Doom (i.e. launching the
daemon with -Q).

I am confused as to why emacs doesn't automatically clean up frames
that have been disconnected like this. If emacs survives a crash of
the X server, it should be able to identify that the display is dead
(e.g. by checking the validity of output_data.x) and remove it from
the (frame-list), preventing any subsequent commands from acting on
these frames. It has to do something more than what delete-frame does,
as that does not fix the issue (even though it removes the frame from
the (frame-list)).

Note: using GTK is very different, as emacs crashes *without* having
to run set-fontset-font (i.e. emacs crashes when the X forwarding
connection crashes). With lucid, emacs continues to run fine with the
exception of this bug for me.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#66151; Package emacs. Full text available.

Message received at 66151 <at> debbugs.gnu.org:


Received: (at 66151) by debbugs.gnu.org; 9 Apr 2024 22:53:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 09 18:53:56 2024
Received: from localhost ([127.0.0.1]:51719 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ruKLk-0000Ui-34
	for submit <at> debbugs.gnu.org; Tue, 09 Apr 2024 18:53:56 -0400
Received: from mail-yw1-x1133.google.com ([2607:f8b0:4864:20::1133]:42352)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <georgepanagopo@HIDDEN>) id 1ruDD7-0007DP-O9
 for 66151 <at> debbugs.gnu.org; Tue, 09 Apr 2024 11:16:35 -0400
Received: by mail-yw1-x1133.google.com with SMTP id
 00721157ae682-615053a5252so51631537b3.1
 for <66151 <at> debbugs.gnu.org>; Tue, 09 Apr 2024 08:16:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1712675780; x=1713280580; darn=debbugs.gnu.org;
 h=to:subject:message-id:date:from:mime-version:from:to:cc:subject
 :date:message-id:reply-to;
 bh=rhglhIAl2iHOiT0gpBr900AxhdxP1anpSud8yW5da2Y=;
 b=JykCV8SpYjvoc2myWpIAMy/a3Oj0mDYXecyxdFjVXk2U2nzHTY7LGRN5cShYo+hafS
 1TWi1I3/cYTwVrl35AY9pdn9cp0m2ID5BpIH1W/Ixcv+tTgjnWjuk1CKfIJXE/AnfOZb
 1vZbHFq8jhGvsxEsr5rq9yx1V1fjRSLVIP6CxUiEFqMsC8ZX+HLmXyzAKC3UZlVPg49c
 CSfYmsK2lOJehwGSLDVxSaE0jVcZZxPhMMJCGlqnonZjjstwcE1a7gdYdFm86oT3yQp3
 j8RjqrPPpo3IZHs9PIIpujcAvJFFEQbvFBS229h7MWjtmITG4ZfEXMBTrM7jYPJO4xJb
 7M7A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712675780; x=1713280580;
 h=to:subject:message-id:date:from:mime-version:x-gm-message-state
 :from:to:cc:subject:date:message-id:reply-to;
 bh=rhglhIAl2iHOiT0gpBr900AxhdxP1anpSud8yW5da2Y=;
 b=TjVDCSQu+AyfFeTKDrjkQKFyA3cdg/0RsyqS62Wqmrtx14lK1EbeRgF6+AYFpo6g+R
 BG5LK54jPXJcH2RMBNM/h4iRer0mewcYgPupmgEFjj4tHHwFPtKoyW3B0NDyGEiT+/04
 ULR5GHGUyFJ/xQeEEGHGI5NqNXJVAKY2yM214Smqq8kVJWuU2dmYryAOhNJxeTyBaw+w
 /84xxF9kidZ4DEzRaEmj0rUUUFWqqeI1LUvk3Sc88YqVyJDV2mhRq2zOz8DSqIUcD9sn
 94KVW9JXtqKW8Py07PteoMLTgBv1eqiHFNrjj0L+fwfJKnNG6DqXqfznBiCRxSs8YK4r
 suPQ==
X-Gm-Message-State: AOJu0YwW5PY+m+74tayxhw9abi+Khcw84uTV9E+e6N3LRJU6HIb6y/fm
 J1c6CMwRimR/6rNeXgiFao83I8c7uEljB9RlfV5xPyT66ZG02PVXjeekNrc8yjc9C5rcoqD8RLX
 u/zT1rK763GfAvvLQVOhopy4R3azEgzboz6de3kz/
X-Google-Smtp-Source: AGHT+IExlxNKBIdWxVIZ68aVRbV26PdnESYn7RxlaVtudv3R64APyCXKj8c4kDr7ih3qN7Kf36ZpqUooGQoPMNkNcYY=
X-Received: by 2002:a05:690c:2b02:b0:610:b545:6605 with SMTP id
 em2-20020a05690c2b0200b00610b5456605mr1407062ywb.26.1712675779578; Tue, 09
 Apr 2024 08:16:19 -0700 (PDT)
MIME-Version: 1.0
From: George P <georgepanagopo@HIDDEN>
Date: Tue, 9 Apr 2024 10:16:09 -0500
Message-ID: <CAGcjMxmg029kmHjH7V_FnpqsJbPRZxjtM3JtZoO9v38j0Fsg-A@HIDDEN>
Subject: Re: bug#66151: 29.1.50; daemon crashing after X forwarding disconnects
To: 66151 <at> debbugs.gnu.org
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 66151
X-Mailman-Approved-At: Tue, 09 Apr 2024 18:53:54 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

I am able to reproduce this bug without launching a new emacsclient.
Steps to reproduce:

- Start emacs daemon.
- Connect using emacsclient -c.
- Connect remotely to the daemon and run another emacsclient -c using
X forwarding.
- Crash the X forwarding connection created in the previous step.
- Go back to the emacsclient running locally on the daemon and run
(set-fontset-font t '(#xe000 . #xf8ff) "Symbols Nerd Font Mono")

The reason that Ben was seeing a crash with a new emacsclient is
because he is using Doom (an Emacs framework) that attached a function
to server-after-make-hook that called set-fontset-font in the above
way. As Eli said, there is really no good reason to run such a hook
after the first frame, and this behavior has been fixed in Doom. (To
Ben: try upgrading Doom and see if it fixes your issue, if not let me
know!)

Surprisingly, the segfault still happens even if I explicitly call
delete-frame on the dead frame before calling set-fontset-font. Also,
I am unable to reproduce this bug without Doom (i.e. launching the
daemon with -Q).

I am confused as to why emacs doesn't automatically clean up frames
that have been disconnected like this. If emacs survives a crash of
the X server, it should be able to identify that the display is dead
(e.g. by checking the validity of output_data.x) and remove it from
the (frame-list), preventing any subsequent commands from acting on
these frames. It has to do something more than what delete-frame does,
as that does not fix the issue (even though it removes the frame from
the (frame-list)).

Note: using GTK is very different, as emacs crashes *without* having
to run set-fontset-font (i.e. emacs crashes when the X forwarding
connection crashes). With lucid, emacs continues to run fine with the
exception of this bug for me.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#66151; Package emacs. Full text available.

Message received at 66151 <at> debbugs.gnu.org:


Received: (at 66151) by debbugs.gnu.org; 9 Apr 2024 22:53:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 09 18:53:56 2024
Received: from localhost ([127.0.0.1]:51717 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ruKLj-0000Uf-Cz
	for submit <at> debbugs.gnu.org; Tue, 09 Apr 2024 18:53:56 -0400
Received: from mail-yw1-x112d.google.com ([2607:f8b0:4864:20::112d]:49166)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <georgepanagopo@HIDDEN>) id 1ruD09-0003Ok-IT
 for 66151 <at> debbugs.gnu.org; Tue, 09 Apr 2024 11:03:14 -0400
Received: by mail-yw1-x112d.google.com with SMTP id
 00721157ae682-61428e80f0cso42884147b3.2
 for <66151 <at> debbugs.gnu.org>; Tue, 09 Apr 2024 08:03:01 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1712674975; x=1713279775; darn=debbugs.gnu.org;
 h=to:subject:message-id:date:from:mime-version:from:to:cc:subject
 :date:message-id:reply-to;
 bh=7MQOyDXLyzF9yvys6FS66h8uKu1MtkPefV71uE+7G2w=;
 b=Z8ng6yo3aVYm5S4RlOLmVISxUUOwV5uj+YUfJ6cnhHByB1iJphXVKyyd0tuKaMK3qY
 G7INRGKAOkeOWxGrnEGRPue+MHI6cZZgy9FiChizdvp0ZrEjlXnf+Y56orCEqG6suVmW
 TJJzoHJKVvjJfMFB3h6sedLkHLosEMgL6rfm2dnfFCJjrn95Wgm+PHwdmuXNcbP1pfFu
 WgMdW27wPE+a5tAOHj1ag0nNluREuRQAHPwy7ZqQJkSdXxe67pMvn1g3YkbpxbzoX7gq
 NqLs7dZTau5SmyzwycSrQ2p6bEFopGxl7gCxD4zzmeFe8FZxkuWMc2owKEGDoZpAnPCI
 86qQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1712674975; x=1713279775;
 h=to:subject:message-id:date:from:mime-version:x-gm-message-state
 :from:to:cc:subject:date:message-id:reply-to;
 bh=7MQOyDXLyzF9yvys6FS66h8uKu1MtkPefV71uE+7G2w=;
 b=En084gicPa7k0dCWoAsPEzaeUY5iAtsnIjzd1S95bZwpsuzAbU8mQ8Ie65Ocx68K9M
 BhOdJhMlHzSkHC4+m4LT1IGJQpkCICLPR6EpDmgVoLUyeyF2oPtv5XWvciZnLfvZ+wDF
 zYvX3KunG5thSBxsbr6LnU5NSNXtLtQGN9jYb9d7vIU/EPM1XozrFjIBWVk2u2wje13b
 WoPtKv8Sx/u/sZwUAGJEy/cpefGSi94t+QUWaLsqGV0Cuq/TrkARupDZ0RxN7UgySJL/
 S18xJbBSZxeHLiX/EaZaPTcenQBbu2Ie1D77q6YNLX0/PiSaTqlWScOq8gziik14FGFc
 99uw==
X-Gm-Message-State: AOJu0YyUS62k29OTG92hAEjPunOtFS++Z6JTvx8qjE1Tm5aga3LoV0uw
 tHD9+ZehcdISTLslks363m3wMPPErQQg4/RYF6cJpmd+umew5DP8WWH7AOr6z+Avq1B2if6keeN
 HF5WgrdTlNR8QWHQ6KjCRZBxSfUmNMiqmAFwp0CZ/
X-Google-Smtp-Source: AGHT+IFpzkU7XnPY/mAgBOESh8fJSv0BA9cLUK+Ti+YXiB8AQSaExpkxRtcn/IPBwa32rgoQfAAdRzYKt5fhhjmBwYc=
X-Received: by 2002:a0d:e855:0:b0:615:35e1:e512 with SMTP id
 r82-20020a0de855000000b0061535e1e512mr9920155ywe.0.1712674975270; Tue, 09 Apr
 2024 08:02:55 -0700 (PDT)
MIME-Version: 1.0
From: George P <georgepanagopo@HIDDEN>
Date: Tue, 9 Apr 2024 10:02:45 -0500
Message-ID: <CAGcjMx=y+UM633s1VDSVLh28hbT-xNKWn2LSnXSkb-aJ90jZzw@HIDDEN>
Subject: 
To: 66151 <at> debbugs.gnu.org
Content-Type: multipart/alternative; boundary="000000000000844d780615ab3788"
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hi, I am able to reproduce this bug without launching a new
 emacsclient. Steps to reproduce: - Start emacs daemon. - Connect using
 emacsclient
 -c. - Connect remotely to the daemon and run another emacsclient -c using
 X forwarding. - Crash the X forwarding connection created in the previous
 st [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
 provider (georgepanagopo[at]gmail.com)
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [2607:f8b0:4864:20:0:0:0:112d listed in]
 [list.dnswl.org]
 0.0 HTML_MESSAGE           BODY: HTML included in message
 2.0 BLANK_SUBJECT          Subject is present but empty
X-Debbugs-Envelope-To: 66151
X-Mailman-Approved-At: Tue, 09 Apr 2024 18:53:54 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

--000000000000844d780615ab3788
Content-Type: text/plain; charset="UTF-8"

Hi,

I am able to reproduce this bug without launching a new emacsclient. Steps
to reproduce:

- Start emacs daemon.
- Connect using emacsclient -c.
- Connect remotely to the daemon and run another emacsclient -c using X
forwarding.
- Crash the X forwarding connection created in the previous step.
- Go back to the emacsclient running locally on the daemon and run
(set-fontset-font
t '(#xe000 . #xf8ff) "Symbols Nerd Font Mono")

The reason that Ben was seeing a crash with a new emacsclient is because he
is using Doom (an Emacs framework) that attached a function to
server-after-make-hook that called set-fontset-font in the above way. As
Eli said, there is really no good reason to run such a hook after the first
frame, and this behavior has been fixed in Doom. (To Ben: try upgrading
Doom and see if it fixes your issue, if not let me know!)

Surprisingly, the segfault still happens even if i explicitly call
delete-frame on the dead frame before calling set-fontset-font. Also, I am
unable to reproduce this bug without Doom (i.e. launching the daemon with
-Q).

I am confused as to why emacs doesn't automatically clean up frames that
have been disconnected like this. If emacs survives a crash of the X
server, it should be able to identify that the display is dead (e.g. by
checking the validity of output_data.x) and remove it from the
(frame-list), preventing any subsequent commands from acting on these
frames. It has to do something more than what delete-frame does, as that
does not fix the issue (even though it removes the frame from the
(frame-list)).

Note: using GTK is very different, as emacs crashes *without* having to run
set-fontset-font (i.e. emacs crashes when the X forwarding connection
crashes). With lucid, emacs continues to run fine with the exception of
this bug for me.

--000000000000844d780615ab3788
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>Hi,</div><div><br></div><div>I am able to reproduce t=
his bug without launching a new emacsclient. Steps to reproduce:</div><div>=
<br></div><div>- Start emacs daemon.</div><div>- Connect using emacsclient =
-c.</div><div>- Connect remotely to the daemon and run another emacsclient =
-c using X forwarding.</div><div>- Crash the X forwarding connection create=
d in the previous step.<br></div><div>- Go back to the emacsclient running =
locally on the daemon and run=20
<code class=3D"gmail-notranslate">(set-fontset-font t &#39;(#xe000 . #xf8ff=
) &quot;Symbols Nerd Font Mono&quot;)</code></div><div><code class=3D"gmail=
-notranslate"><br></code></div><div><code class=3D"gmail-notranslate"><font=
 face=3D"arial,sans-serif">The reason that Ben was seeing a crash with a ne=
w emacsclient is because he is using Doom (an Emacs framework) that attache=
d a function to server-after-make-hook that called set-fontset-font in the =
above way. As Eli said, there is really no good reason to run such a hook a=
fter the first frame, and this behavior has been fixed in Doom. (To Ben: tr=
y upgrading Doom and see if it fixes your issue, if not let me know!)</font=
></code></div><div><code class=3D"gmail-notranslate"><font face=3D"arial,sa=
ns-serif"><br></font></code></div><div><code class=3D"gmail-notranslate"><f=
ont face=3D"arial,sans-serif">Surprisingly, the segfault still happens even=
 if i explicitly call delete-frame on the dead frame before calling set-fon=
tset-font. Also, I am unable to reproduce this bug without Doom (i.e. launc=
hing the daemon with -Q).<br></font></code></div><div><code class=3D"gmail-=
notranslate"><font face=3D"arial,sans-serif"><br></font></code></div><div><=
code class=3D"gmail-notranslate"><font face=3D"arial,sans-serif">I am confu=
sed as to why emacs doesn&#39;t automatically clean up frames that have bee=
n disconnected like this. If emacs survives a crash of the X server, it sho=
uld be able to identify that the display is dead (e.g. by checking the vali=
dity of output_data.x) and remove it from the (frame-list), preventing any =
subsequent commands from acting on these frames. It has to do something mor=
e than what delete-frame does, as that does not fix the issue (even though =
it removes the frame from the (frame-list)). <br></font></code></div><div><=
code class=3D"gmail-notranslate"><font face=3D"arial,sans-serif"><br></font=
></code></div><div><code class=3D"gmail-notranslate"><font face=3D"arial,sa=
ns-serif">Note: using GTK is very different, as emacs crashes *without* hav=
ing to run set-fontset-font (i.e. emacs crashes when the X forwarding conne=
ction crashes). With lucid, emacs continues to run fine with the exception =
of this bug for me.<br></font></code></div></div>

--000000000000844d780615ab3788--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#66151; Package emacs. Full text available.

Message received at 66151 <at> debbugs.gnu.org:


Received: (at 66151) by debbugs.gnu.org; 22 Sep 2023 23:43:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 22 19:43:35 2023
Received: from localhost ([127.0.0.1]:37492 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qjpo7-0000AH-JJ
	for submit <at> debbugs.gnu.org; Fri, 22 Sep 2023 19:43:35 -0400
Received: from sonic304-22.consmr.mail.ne1.yahoo.com ([66.163.191.148]:41385)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1qjpo3-0000A2-19
 for 66151 <at> debbugs.gnu.org; Fri, 22 Sep 2023 19:43:33 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1695426194; bh=W9/gYHhxc7rPYHKjBXu6XPKOOwOPMwPOlcJzrBuiIT8=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=Zp5pubjP/5nPpmOO2id/mIWe4aauVocK1ZqIwWLNnfOCJHwCrW6fJ0EQ1SDkFuZ/WWr4z5/ecF+ascGgRismoTqTZdfYkLX6yBUWQ+5Lwb8aLnshCxf8Hnx8OYQzO4cq3Q0hr3x0JHhdG5a0b4n1bPPMEaERknJPFojfx//ScVFyA66Jkt9ebV2HTLy5QFYpxbmR8SW/+pVQCTIic3Tzz2ooUTPeEvboBx2qmNxzYdOWsAeOdxmCJBwFQGPn/0gJXuiP6s+Ra4afBdlMK7BbSbT0O9Qq8diqSDgQGimhUALftWclKDxVrCeZpbw1G4ltpDT17b6dJOEjJiWCElTeaA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1695426194; bh=ukIIeHAIiVEqrDBkygR7FnLs2fWR+Onnm/Q80MG9iO+=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=s51FFmK4E4vC9h0R6jBEEvqdid5qJ+vhz4cd6797c5F/zQqeBNpUb6vcf/2VpmQY/8FGjzwfE0nQf19u/o1IUWFAZhmuXNNqxVyhN9rJeqC2aAIi8AOdqk0z2gPxOsf+IETbnyEBWwqeMkbMTdRM2Lgy9KWMOn/GwA4tJNkXNpLf3xpSd9LWi4BKOkZDAufbK46dBf/IoqiOV5tnvfq2agq9x8yuTUd6Yr2Bh094tQgDx5LauYCySjpVkiENsrBg6D4juiHyr5ovWFm2+x1AucCKsOxg2mvI2B4OzpCBCXQYvwTdNf+nk4PjACMjyy1VYJhj7Na854lbrEuJcZ5ISA==
X-YMail-OSG: qySKXFwVM1m1s_jRQqX2PbSXZUMm7b1oNQmqwkXSPcQnjCMCxPs171HLlSicUNe
 ZnoPkPonlU_8pbNjBNcx8w5W9w05XstbG5tAU4w86uJqOKrsk944fR2Fa_gWElWXIo4YRzJUs.vd
 wShr_XiwLXUsqL.xPFS7h3Bu9_bv3Klt7Sn4m.izJoXg.PZXJHamd7enWEaGnhnTmbfoV4UqhQ1t
 QAZEhFilYV1qTT9csLLBMjKvhGd7fST9CgjohW85Pze0XfJNQEdOLX225TMzN4RUJ2ueaQwRYlVa
 Ad2KG79KKYXRSP4dPZyjnvk95WhoEISL1QF6cf9IqxbASC3D.3Ug2WpgPRe2wfM0Dfjv5x_G5RLB
 BOFSe60jZGqhuAOY.1JcLvoBDWsYkHaSCHJcaV1D_Osi4ho1scsWYVL.vfILJb64hnHnI8z2aPRC
 IVkLsQBjw7U8Q817sScHtiGffS_oj6ERBjblU2GeDHFGNxv02Y2b6HRmK0cSc4aPBbzPyc32qDFN
 3qgkP9fWOLYzyuUM_k730Rkpddao4oKgcAz0czF4fjf8Q3afijB3LtD2j.TpVV5rTaNxL1dn6jAr
 610lkymiAA8KuvaPJthPy2L8uAtlcjoJ8ItXv7QHFecvA0cnynU24P4L7Voore_6KCKCk3crmjcJ
 .1cwziTyet.2rL4syXfH96LiNWXxdhBlHLUNC6YeVRis7B3K_qHC.yUi9q2x_SNdjPmnqKikFrR.
 QuS4iZj2TOpEXg_kwuQ_WLjzX_244dK6vuWPMogFxiGAiHdNGV9arwjaqFmBDLsHgWnf72wsvrza
 ilVXr_AyTJqjd3sF5S2W3MP0sKPvohjIigVHUZ4H420xm8iwoi4sz..kIiuQJCtxEi_kXBlxNHOv
 kHXu3QuxmWBYak4Wm0d5R.sDHSphBvZZ3EBqGwj24xK3qiFVi5E_ZxvNWSyA5pu6NbFnp89epk1e
 ENX7t_YIr2G5Y4_3lFKSYdpJyqbMfy99WzHBpxBatJqV6pLlnCorsqf_.OuNzt_wkcOvYVuQtze0
 N0Uhi4UEMyy.zOTWI6UwOfrE88tQgSRVhY6c9ejWWNJ_AJV11xAJ9Njvaw60Ek.Ka5twQKGuCxaj
 TVtQ7GrldmEuzpCFtgTx3NxaliIOX132oKoL.WZEhOHM0R0Aju1xHKyQMX9tVVWf5K8V5pLl9_7s
 59lMUh2z3Pf6fV55dAOVxeCezcT.fKWX9qvF9g8x1VVtNH7CV4dbVX_RvxavmFQ8ZWSWj74iQu3K
 2v9VGNyeaxH7CRzwIWziShIY5HTbpHj0juhXrU1YGA.4.6HZjLce8UsIvdCkTVa7Ft0TZVmmtegR
 giqrsT5RVrmzn1H3aB8wjXxTtYCEqUyf8uhjX7swY6_awSo6b0H46zfeua.yy4ln9HIpEsg6PKN2
 2v6AXjYGO.2L22JleAZaQYqlrgsD556RkmFN6mQ5u7ynMJ3sLm0RfzX6w0KTwZcttF9RKty6Gem_
 4LXjGHSeZCKBZGIj81vba3xPLnh2PKPcrXxu76DSq8Y5EYKTi3AVPZTyyX3rXdTiY1eWg_nT1N.1
 DkR9Q.94h6OI9meb8K2R4AQjaSypJbiPjOIuNm0XhwgghMuhvPVE_Sb.ladvjPbLsurcm1TpnVr7
 PIzqqdq4RoNFVPGsEdQMBTbBAOAZOWLTfVACVC6.kJRRRvaYMM.4aL0cJMLEfmctsR3iMUS3sw1q
 MG5bwryhrxWitHhYTKOdQnRbfisL4gfRDn1DO5u0u4d4uUENeP9cn9NcEAji.RhU1By0gOVDJTU7
 9KA_fMeCgHPVevKekCwdeyyK6IPncg4eORntIkbMLBR1IgDymyRyJcVhid3rquspYTXUV4m6oUhk
 F4TwIz.wLMZxzXdDitx_U2nCv4_6UIauphSUeXGKZ6_HbH_vIPlb9gIXKSAu.8vsXovqBnIKb6DD
 G78CICs2EQfqFD_2i8tLkTggEV.ZT0RnCJXEESu0w0fj7yTG344qYrkesp7b.Z7Fmzm3YC.IYtM3
 d0J4s5IxxrSmmll66o0dHvU8NFXDU7HPU53CUQim0.umDRvX28wabvFNW7NT_hZC3YFwdXil_T3j
 x5RZ4C7YaIJQhQLsBTH0GvgVKfcSND9Fxy8WCmZjSH0NEqRRhwjIOIFXVg0vRP9UD05TG_BXHvLU
 vLnkMgw9qvfaF9XprasmFvtliDnwpOV5BT1hmoywpIiYjxFyH94ljph6BaPxY1Dgx5NFCdnrIvbV
 lfK5cu1KLgQSBXMEWIiAlrSs1fQ_4keBYZoWywShP7T2ChJrp6C4-
X-Sonic-MF: <luangruo@HIDDEN>
X-Sonic-ID: 7d0980e2-cf29-495a-b9af-5fe5b154ca80
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic304.consmr.mail.ne1.yahoo.com with HTTP; Fri, 22 Sep 2023 23:43:14 +0000
Received: by hermes--production-sg3-55c667b499-g6sv9 (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID efa6de84c490641d6d972ea88ac36cf1; 
 Fri, 22 Sep 2023 23:43:09 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Benjamin Schwehn <bschwehn@HIDDEN>
Subject: Re: bug#66151: 29.1.50; daemon crashing after X forwarding disconnects
In-Reply-To: <CA+CxCG_sR3=Av3XWF96J8yyVuS_igFwMziuKgD5ekE_nWY1+zA@HIDDEN>
 (Benjamin Schwehn's message of "Fri, 22 Sep 2023 18:51:09 +0200")
References: <CA+CxCG_5ZA0OEDuOuRq8V++pSyZwM0eQ0y5rCt0GvpEKETfMsA@HIDDEN>
 <83fs3675zc.fsf@HIDDEN> <87ediqpd0u.fsf@HIDDEN>
 <83ttrm5ovz.fsf@HIDDEN>
 <CA+CxCG91KQO_X8y9pvkN_pjA-rGMS6viFa+5cezb6XNtU92Lwg@HIDDEN>
 <83msxe5jqy.fsf@HIDDEN>
 <CA+CxCG_sR3=Av3XWF96J8yyVuS_igFwMziuKgD5ekE_nWY1+zA@HIDDEN>
Date: Sat, 23 Sep 2023 07:42:51 +0800
Message-ID: <s0dlecxlqpw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.21797
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 320
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 66151
Cc: 66151 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Benjamin Schwehn <bschwehn@HIDDEN> writes:

> difference using lucid or gtk does in this use case?

There is a good chance of recovery if a display connection is cut within
a non-GTK build, so long as the disconnect transpires while Emacs is
reading input, rather than operating on a frame connected to that
display.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#66151; Package emacs. Full text available.

Message received at 66151 <at> debbugs.gnu.org:


Received: (at 66151) by debbugs.gnu.org; 22 Sep 2023 16:51:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 22 12:51:41 2023
Received: from localhost ([127.0.0.1]:37254 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qjjNV-0006eC-8Q
	for submit <at> debbugs.gnu.org; Fri, 22 Sep 2023 12:51:41 -0400
Received: from mail-ed1-x531.google.com ([2a00:1450:4864:20::531]:55339)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bschwehn@HIDDEN>) id 1qjjNR-0006dp-Dz
 for 66151 <at> debbugs.gnu.org; Fri, 22 Sep 2023 12:51:40 -0400
Received: by mail-ed1-x531.google.com with SMTP id
 4fb4d7f45d1cf-530c9980556so2793320a12.2
 for <66151 <at> debbugs.gnu.org>; Fri, 22 Sep 2023 09:51:26 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1695401481; x=1696006281; darn=debbugs.gnu.org;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:from:to:cc:subject:date:message-id:reply-to;
 bh=sPAIAbjF/KNz0j+sjbxyq8WhO0S04VQ/nm03Tm/ZTBg=;
 b=HfZ92WqnqASVMjitAvSzqeNMZehr7NrV7nxxRYvqikcnUK8KoZDUxCPZvTui+JnN95
 HcpR3AKuZBlRU4OPvvr19m08zevJIcV20z+R88nU4tdBQR/PdQTB40BuwtfGvU5zRKln
 x6gjbCcFF/ZDAsCjBbGTE37ygxTkJi2RM3HeNBvpTQKu2wDdrxDgpUo8FfUYk7WPnqIx
 SH9Iq4idr5dTWBg7tcwyf7bfK5YY11ncJmtNBxWEM7Y90Fs3Ssg1esCq76JOMzn3knyW
 5Z/oE2LmHP7zTdq9+/1yuVzi9L5qE+2BbYJNlczPSELjxkQK0maKw5wzYwAd9MnFGjcr
 tA5w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1695401481; x=1696006281;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=sPAIAbjF/KNz0j+sjbxyq8WhO0S04VQ/nm03Tm/ZTBg=;
 b=iIBrFV3A/Zpn0lqU0dgsqjL9Zm7sCY29asyTXwFb09nddKqyMYJtaG7EqOoa4hF4kD
 B1pXcfkiAfrfyRdlhJXQTcrzckrAfNIrGIv3ysVkOPwcuV+3amd2jPb8xuK3RIvhlHNQ
 e7onK0qxvvZl/2l8gMp4WOZvRPSuQKsKyFU7qODxvNYCkstFgQ+hXvNuN4/KfNBEZbME
 AcHDdASKOSEacNb7CX8N9xyd3qGMfbY8fwu+6Ap+FBnB5E+Ml1t2qBST0MDif1a8vgOr
 ySYm3Nmi5dKHguR8DRmOXkNipDJ7OTQIVREynv+P7m8GesZZFp2lBRQ+sIKoeaD1TzOP
 tTZA==
X-Gm-Message-State: AOJu0YyZnJBFubK0rkm5w0OzbOIe1SPli/zqQB/LAdTIkSgeijDOUmat
 sDRC8sKG7Ktzn5ijiLYH8v+ZIKBtxBh1tr1tCAM=
X-Google-Smtp-Source: AGHT+IEgx+Fcb69tPwyJJ4vlcKVG5qPurB/6dfll0GXaS6GyUkCLyoZvcJmro96hEhcW7UDbTyo+cO4YcaWccXzHAfY=
X-Received: by 2002:aa7:c30e:0:b0:531:287d:3232 with SMTP id
 l14-20020aa7c30e000000b00531287d3232mr30151edq.34.1695401480452; Fri, 22 Sep
 2023 09:51:20 -0700 (PDT)
MIME-Version: 1.0
References: <CA+CxCG_5ZA0OEDuOuRq8V++pSyZwM0eQ0y5rCt0GvpEKETfMsA@HIDDEN>
 <83fs3675zc.fsf@HIDDEN> <87ediqpd0u.fsf@HIDDEN> <83ttrm5ovz.fsf@HIDDEN>
 <CA+CxCG91KQO_X8y9pvkN_pjA-rGMS6viFa+5cezb6XNtU92Lwg@HIDDEN>
 <83msxe5jqy.fsf@HIDDEN>
In-Reply-To: <83msxe5jqy.fsf@HIDDEN>
From: Benjamin Schwehn <bschwehn@HIDDEN>
Date: Fri, 22 Sep 2023 18:51:09 +0200
Message-ID: <CA+CxCG_sR3=Av3XWF96J8yyVuS_igFwMziuKgD5ekE_nWY1+zA@HIDDEN>
Subject: Re: bug#66151: 29.1.50; daemon crashing after X forwarding disconnects
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 66151
Cc: luangruo@HIDDEN, 66151 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Fri, 22 Sept 2023 at 17:07, Eli Zaretskii <eliz@HIDDEN> wrote:

> I think this confirms what Po Lu was saying: Emacs cannot recover when
> you close the connection while some frame using that connection is
> still on display.  You should close all such frames before
> disconnecting.

Ok, sounds like there is no easy fix, thanks for the explanation!

I am curious though, before switching to lucid, emacs logged this during startup
as systemd service:

Warning: due to a long standing Gtk+ bug
https://gitlab.gnome.org/GNOME/gtk/issues/221
Emacs might crash when run in daemon mode and the X11 connection is
unexpectedly lost.
Using an Emacs configured with --with-x-toolkit=lucid does not have
this problem.

Do you happen to know what (if any) difference using lucid or gtk does in this
use case?

> > It's not a terrible issue for me, but annoyingly happens every time the VPN
> > connection is lost (~twice a day) and I have emacs open (~all the time :)).
>
> Why is the VPN connection lost so frequently?

Well, it is a work provided setup I have no control over. Half the disconnects
are due to me missing the mandatory re-authentication every x hours, the other
half I don't know.

I had quickly experimented with xpra (https://github.com/Xpra-org/xpra), which
should keep a persistent X11 connection. But it increased latency too much for
my liking.

Ben




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#66151; Package emacs. Full text available.

Message received at 66151 <at> debbugs.gnu.org:


Received: (at 66151) by debbugs.gnu.org; 22 Sep 2023 15:08:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 22 11:08:00 2023
Received: from localhost ([127.0.0.1]:37096 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qjhl9-0003is-UO
	for submit <at> debbugs.gnu.org; Fri, 22 Sep 2023 11:08:00 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:45580)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1qjhl5-0003iU-Jo
 for 66151 <at> debbugs.gnu.org; Fri, 22 Sep 2023 11:07:58 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1qjhkp-00040f-Ej; Fri, 22 Sep 2023 11:07:39 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=6gM/HT8DRZYnX1Cl+D8YAXQBZVMkrGEtI8+F5/1LiG4=; b=P0s3hM8F4Cuj
 fN5avbJO9Mq2KaDtLH4wb66f9gdl4tcFGMkcn8pktv1mjEXyYMj5EDPUP0PFHgWUP3G+7tTmW56MF
 m7qCO+Hbhx93HDptvmXj7qUX3GTyrTAp3/N0x5K/8TmsaoRlEG1/Gbu+jlyPwTm+aNeT2m+V/7wAK
 eYr1D0H/NeQp9pF3OW9FfDEU6BvrvYOtLf2v2NTuDGmUHwEO6NzxHgsMP0RdTt1p6am93zLRZfdbG
 Tja5QjU5iy/53Ceh+hUPH80IAPmXkjjGmuatbKBNtOME7cpnRarHjEtAx35xj690605ErSi+WZXDl
 tT7fduZU3b3+ueVeuoFlyQ==;
Date: Fri, 22 Sep 2023 18:07:49 +0300
Message-Id: <83msxe5jqy.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Benjamin Schwehn <bschwehn@HIDDEN>
In-Reply-To: <CA+CxCG91KQO_X8y9pvkN_pjA-rGMS6viFa+5cezb6XNtU92Lwg@HIDDEN>
 (message from Benjamin Schwehn on Fri, 22 Sep 2023 16:28:40 +0200)
Subject: Re: bug#66151: 29.1.50; daemon crashing after X forwarding disconnects
References: <CA+CxCG_5ZA0OEDuOuRq8V++pSyZwM0eQ0y5rCt0GvpEKETfMsA@HIDDEN>
 <83fs3675zc.fsf@HIDDEN> <87ediqpd0u.fsf@HIDDEN> <83ttrm5ovz.fsf@HIDDEN>
 <CA+CxCG91KQO_X8y9pvkN_pjA-rGMS6viFa+5cezb6XNtU92Lwg@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 66151
Cc: luangruo@HIDDEN, 66151 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Benjamin Schwehn <bschwehn@HIDDEN>
> Date: Fri, 22 Sep 2023 16:28:40 +0200
> Cc: Po Lu <luangruo@HIDDEN>, 66151 <at> debbugs.gnu.org
> 
> > Does this happen with any emacsclient command in this situation?  What
> > if you don't use -c, for example, or use -t instead?
> 
> emacsclient -t also causes the crash, with this backtrace (looks the same to me)
> 
> emacs_backtrace at /home/ben/install/emacs/emacs/src/sysdep.c:2304
> terminate_due_to_signal at /home/ben/install/emacs/emacs/src/emacs.c:458
> deliver_process_signal at /home/ben/install/emacs/emacs/src/sysdep.c:1741
>  (inlined by) deliver_fatal_signal at
> /home/ben/install/emacs/emacs/src/sysdep.c:1789
> deliver_thread_signal.constprop.0 at
> /home/ben/install/emacs/emacs/src/sysdep.c:1765
> ?? ??:0
> make_lisp_ptr at /home/ben/install/emacs/emacs/src/lisp.h:1364
>  (inlined by) realize_default_face at
> /home/ben/install/emacs/emacs/src/xfaces.c:5802

So this means we are somehow handling the original GUI frame.

> The crash is triggered when a live frame was connected when the network
> connection was cut, but the crash happens only later, the next time I open a
> frame. But I am not fully sure I correctly understand the question. Let me try
> to explain better the circumstances:
> 
> I have emacs running in server mode on a VM. I have a windows machine running an
> X server. Both machines are connected via a VPN which somtimes loses connection.
> The issues comes after this connection loss. To reproduce I do this:
> 
> 1. ssh -X into the machine and run emacsclient -nc. Emacs frame opens on the
>    client (windows) machine.
> 2. While the frame is open, I disconnect (C-d, C-c in the terminal that has the
>    ssh -X connection).
> 3. I reconnect to the server via ssh. At this point, the emacs server process
>    has not yet crashed.
> 4. I run emacsclient -nc
> 5. On the client machine, an emacs frame opens and does some initial draw, then
>    the server process crashes
> 
> If in step 4, I run emacclient -t instead, the server process also crashes. I
> can't see an initial draw happening in this case.
> 
> If in step 2, I first close the frame, then disconnect, the crash in step 5 does
> not happen (neither for -nc nor -t) and opening a frame works fine.

I think this confirms what Po Lu was saying: Emacs cannot recover when
you close the connection while some frame using that connection is
still on display.  You should close all such frames before
disconnecting.

> It's not a terrible issue for me, but annoyingly happens every time the VPN
> connection is lost (~twice a day) and I have emacs open (~all the time :)).

Why is the VPN connection lost so frequently?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#66151; Package emacs. Full text available.

Message received at 66151 <at> debbugs.gnu.org:


Received: (at 66151) by debbugs.gnu.org; 22 Sep 2023 14:29:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 22 10:29:12 2023
Received: from localhost ([127.0.0.1]:37050 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qjh9b-0002b9-KE
	for submit <at> debbugs.gnu.org; Fri, 22 Sep 2023 10:29:12 -0400
Received: from mail-lf1-x12e.google.com ([2a00:1450:4864:20::12e]:58580)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bschwehn@HIDDEN>) id 1qjh9Y-0002as-LB
 for 66151 <at> debbugs.gnu.org; Fri, 22 Sep 2023 10:29:10 -0400
Received: by mail-lf1-x12e.google.com with SMTP id
 2adb3069b0e04-50325ce89e9so3624100e87.0
 for <66151 <at> debbugs.gnu.org>; Fri, 22 Sep 2023 07:28:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1695392932; x=1695997732; darn=debbugs.gnu.org;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:from:to:cc:subject:date:message-id:reply-to;
 bh=s8mkMiY3j8bPIqRwDX//+RUBASKXYcTKlUjHkP/zg5s=;
 b=gjXbXoBvwKUbEjYIr6ugwtKO0wT8pxNIxbTldGTbDw/GQhzyo/Lm7phY62My4F1MPo
 eMAOek4rQILv1ueKFqGseSPEEIFZ1Rd3WwHQOKDBk/tDod+mtCN7/z2JyIpiC5rEnOc5
 EPZY45jAT1ZibvoM2eVsyD5W7789Gik1pDyYCJwEPa7tAFzq/0O55kjV9szlgBLCKvxf
 389TIbCy1IpcXvr+bamd1nfD0Y92jWzF9hrtp5pq7Ybk1ykj39+ORxvS1Z4EufuUL2Xa
 +dGOGJc65GNN/84zfsaACq4qx21xdK7vAhyUyWchgXfmRa3KCoiMm6ZGvGTX5I4d3Rhq
 cu8A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1695392932; x=1695997732;
 h=cc:to:subject:message-id:date:from:in-reply-to:references
 :mime-version:x-gm-message-state:from:to:cc:subject:date:message-id
 :reply-to;
 bh=s8mkMiY3j8bPIqRwDX//+RUBASKXYcTKlUjHkP/zg5s=;
 b=qIuIz8DLUBuc8JD5XwHpMf9eTy7mZWTbNX/XeqM/wKL4QeaTuNWuOeuz4eu8Ly+zu+
 iiA7QHa90/7YeeaoefjP7EIkKcGXRFV2GWh18j0z3Cyh7DAAGNQTvSBrLYda7rDi9OOG
 0KfnZObBZsNsFPkYaORR0EMxjyjbHxsMeawQcUW2ZiXoYWa6Pu9P0MqE1+cCp3x2+8Fv
 if1kE6SDBLT4NOPVoRly7V/qMmLP7N9JUP7eqEO9KBaFTgm7nPeX4nNBccn92K6KQhYk
 8ojN9i2EUVBwb/V4LPw5yJcJwhsry9LeUcmRvKfiQk2vm2mCIQ0amAoqH2fuF9JsIbeY
 7Pew==
X-Gm-Message-State: AOJu0YxcOv3XRudXOJ9nMrTKIU9p+taqewcrgP/xJ2GElGrMeM+Fhvae
 Hr4TGV2PmFfSaVbL6L+G6LnZu3CxtCEfRZ6d3B4=
X-Google-Smtp-Source: AGHT+IGSiRVKEfkc+c+3t0zAbRhLsBe5NVBjS3daKY/+V6wZtvljsfgCU7q5jrLTQkfDbNigMFJSj0YYfkONrrod7/Q=
X-Received: by 2002:a05:6512:ac7:b0:503:2891:444d with SMTP id
 n7-20020a0565120ac700b005032891444dmr9449768lfu.64.1695392931689; Fri, 22 Sep
 2023 07:28:51 -0700 (PDT)
MIME-Version: 1.0
References: <CA+CxCG_5ZA0OEDuOuRq8V++pSyZwM0eQ0y5rCt0GvpEKETfMsA@HIDDEN>
 <83fs3675zc.fsf@HIDDEN> <87ediqpd0u.fsf@HIDDEN> <83ttrm5ovz.fsf@HIDDEN>
In-Reply-To: <83ttrm5ovz.fsf@HIDDEN>
From: Benjamin Schwehn <bschwehn@HIDDEN>
Date: Fri, 22 Sep 2023 16:28:40 +0200
Message-ID: <CA+CxCG91KQO_X8y9pvkN_pjA-rGMS6viFa+5cezb6XNtU92Lwg@HIDDEN>
Subject: Re: bug#66151: 29.1.50; daemon crashing after X forwarding disconnects
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 66151
Cc: Po Lu <luangruo@HIDDEN>, 66151 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Thanks a lot for helping me with this!

> > - emacs running as daemon via systemd user service
> > - running "emacsclient -nc" via ssh -X session
> > - stop X server on client machine or cut network connection between
> >  client and server
> > - run emacsclient -nc again
> >
> > Result:
> > emacs window opens for about a second, then the daemon crashes.
>
> Does this happen with any emacsclient command in this situation?  What
> if you don't use -c, for example, or use -t instead?

emacsclient -t also causes the crash, with this backtrace (looks the same to me)

emacs_backtrace at /home/ben/install/emacs/emacs/src/sysdep.c:2304
terminate_due_to_signal at /home/ben/install/emacs/emacs/src/emacs.c:458
deliver_process_signal at /home/ben/install/emacs/emacs/src/sysdep.c:1741
 (inlined by) deliver_fatal_signal at
/home/ben/install/emacs/emacs/src/sysdep.c:1789
deliver_thread_signal.constprop.0 at
/home/ben/install/emacs/emacs/src/sysdep.c:1765
?? ??:0
make_lisp_ptr at /home/ben/install/emacs/emacs/src/lisp.h:1364
 (inlined by) realize_default_face at
/home/ben/install/emacs/emacs/src/xfaces.c:5802
 (inlined by) realize_basic_faces at
/home/ben/install/emacs/emacs/src/xfaces.c:5736
recompute_basic_faces at /home/ben/install/emacs/emacs/src/xfaces.c:682
 (inlined by) recompute_basic_faces at
/home/ben/install/emacs/emacs/src/xfaces.c:677
 (inlined by) free_realized_fontsets at
/home/ben/install/emacs/emacs/src/fontset.c:1345
Fset_fontset_font at /home/ben/install/emacs/emacs/src/fontset.c:1696
eval_sub at /home/ben/install/emacs/emacs/src/eval.c:2515
Fprogn at /home/ben/install/emacs/emacs/src/eval.c:436
 (inlined by) Flet at /home/ben/install/emacs/emacs/src/eval.c:1026
eval_sub at /home/ben/install/emacs/emacs/src/eval.c:2449
Fprogn at /home/ben/install/emacs/emacs/src/eval.c:436
 (inlined by) prog_ignore at /home/ben/install/emacs/emacs/src/eval.c:447
 (inlined by) Fwhile at /home/ben/install/emacs/emacs/src/eval.c:1047
eval_sub at /home/ben/install/emacs/emacs/src/eval.c:2449
Fprogn at /home/ben/install/emacs/emacs/src/eval.c:436
 (inlined by) Flet at /home/ben/install/emacs/emacs/src/eval.c:1026
eval_sub at /home/ben/install/emacs/emacs/src/eval.c:2449
eval_sub at /home/ben/install/emacs/emacs/src/eval.c:2593
Fprogn at /home/ben/install/emacs/emacs/src/eval.c:436
eval_sub at /home/ben/install/emacs/emacs/src/eval.c:2449
eval_sub at /home/ben/install/emacs/emacs/src/eval.c:2449
eval_sub at /home/ben/install/emacs/emacs/src/eval.c:2593
Fprogn at /home/ben/install/emacs/emacs/src/eval.c:436
 (inlined by) funcall_lambda at /home/ben/install/emacs/emacs/src/eval.c:3233
Ffuncall at /home/ben/install/emacs/emacs/src/eval.c:2997
funcall_nil at /home/ben/install/emacs/emacs/src/eval.c:2679
run_hook_with_args at /home/ben/install/emacs/emacs/src/eval.c:2822
Frun_hooks at /home/ben/install/emacs/emacs/src/eval.c:2700 (discriminator 3)
eval_sub at /home/ben/install/emacs/emacs/src/eval.c:2472
Fprogn at /home/ben/install/emacs/emacs/src/eval.c:436
 (inlined by) funcall_lambda at /home/ben/install/emacs/emacs/src/eval.c:3233
Ffuncall at /home/ben/install/emacs/emacs/src/eval.c:2997
funcall_nil at /home/ben/install/emacs/emacs/src/eval.c:2679
run_hook_with_args at /home/ben/install/emacs/emacs/src/eval.c:2822
Frun_hooks at /home/ben/install/emacs/emacs/src/eval.c:2700 (discriminator 3)
Ffuncall at /home/ben/install/emacs/emacs/src/eval.c:2997
?? ??:0
funcall_subr at /home/ben/install/emacs/emacs/src/eval.c:3046
exec_byte_code at /home/ben/install/emacs/emacs/src/bytecode.c:809
Ffuncall at /home/ben/install/emacs/emacs/src/eval.c:2997
Ffuncall at /home/ben/install/emacs/emacs/src/eval.c:2997
?? ??:0
Ffuncall at /home/ben/install/emacs/emacs/src/eval.c:2997
safe_free at /home/ben/install/emacs/emacs/src/lisp.h:5373
 (inlined by) Fapply at /home/ben/install/emacs/emacs/src/eval.c:2668

> > >> deliver_thread_signal.constprop.0 at
> > >> /home/ben/install/emacs/emacs/src/sysdep.c:1765
> > >> ?? ??:0
> > >> make_lisp_ptr at /home/ben/install/emacs/emacs/src/lisp.h:1364
> > >>  (inlined by) realize_default_face at
> > >> /home/ben/install/emacs/emacs/src/xfaces.c:5802
> > >>  (inlined by) realize_basic_faces at
> > >> /home/ben/install/emacs/emacs/src/xfaces.c:5736
> > >
> > > The segfault seems to be caused by the frame's output_data.x being
> > > NULL or invalid.  Po Lu, is this caused by stopping the server or
> > > cutting the network connection between client and server?  If so, is
> > > there any remedy?
> >
> > The cause is the network connection being cut.  If a display disconnect
> > transpires while Emacs is operating on live frames connected to that
> > display, Emacs will crash, as the Xlib error handler deletes such frames
> > promptly.  There are no simple solutions or means of circumventing this
> > problem.
>
> I think in this case there were no live frames connected to the
> display, only the initial (non-GUI) daemon frame.  Benjamin, is that
> true?

The crash is triggered when a live frame was connected when the network
connection was cut, but the crash happens only later, the next time I open a
frame.  But I am not fully sure I correctly understand the question. Let me try
to explain better the circumstances:

I have emacs running in server mode on a VM. I have a windows machine running an
X server. Both machines are connected via a VPN which somtimes loses connection.
The issues comes after this connection loss. To reproduce I do this:

1. ssh -X into the machine and run emacsclient -nc. Emacs frame opens on the
   client (windows) machine.
2. While the frame is open, I disconnect (C-d, C-c in the terminal that has the
   ssh -X connection).
3. I reconnect to the server via ssh. At this point, the emacs server process
   has not yet crashed.
4. I run emacsclient -nc
5. On the client machine, an emacs frame opens and does some initial draw, then
   the server process crashes

If in step 4, I run emacclient -t instead, the server process also crashes. I
can't see an initial draw happening in this case.

If in step 2, I first close the frame, then disconnect, the crash in step 5 does
not happen (neither for -nc nor -t) and opening a frame works fine.

It's not a terrible issue for me, but annoyingly happens every time the VPN
connection is lost (~twice a day) and I have emacs open (~all the time :)).

Thanks, Ben




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#66151; Package emacs. Full text available.

Message received at 66151 <at> debbugs.gnu.org:


Received: (at 66151) by debbugs.gnu.org; 22 Sep 2023 13:17:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 22 09:17:01 2023
Received: from localhost ([127.0.0.1]:35647 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qjg1l-0006Fr-3P
	for submit <at> debbugs.gnu.org; Fri, 22 Sep 2023 09:17:01 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:42844)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1qjg1g-0006Fb-KZ
 for 66151 <at> debbugs.gnu.org; Fri, 22 Sep 2023 09:16:59 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1qjg1P-0004gR-Hy; Fri, 22 Sep 2023 09:16:39 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=t2tl/VIThpBckPXhuolpGS6w5RnspUhzwYSy2qoMgvA=; b=li0B7aSgCH6W
 gnDzLd8O5Wjn6E8KkY1g1ckpx6LeaZcUf4QQm5L0Qxwk9EHQBzFDEbswGA5Q2na/FcHh7KRx+oqd2
 /sEF/Q0pHZwADxamhUPm2j6AiMjusDkdKgi7u4HmTpaqjq2OHsbnn0SAHHA+FeNsk10LvldUhMJ+2
 Slcguvsy+W0t0NRVf4C0BCQwbJ9mQyrES/IRiy8KJeJSgdnTjX9t+EBv+E0dQf2dM9xyVvhOJzqmH
 R+NRZuhZD5a8HPsLmnYkd+KEpQXyTMHVYYdtbFSLUp6/rIb12hgjP2dXsAq8mW0N0XOyC+AoTGAtF
 UpJrdlFXSLSsIled8kFoqw==;
Date: Fri, 22 Sep 2023 16:16:48 +0300
Message-Id: <83ttrm5ovz.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
In-Reply-To: <87ediqpd0u.fsf@HIDDEN> (message from Po Lu on Fri, 22 Sep
 2023 21:12:49 +0800)
Subject: Re: bug#66151: 29.1.50; daemon crashing after X forwarding disconnects
References: <CA+CxCG_5ZA0OEDuOuRq8V++pSyZwM0eQ0y5rCt0GvpEKETfMsA@HIDDEN>
 <83fs3675zc.fsf@HIDDEN> <87ediqpd0u.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 66151
Cc: 66151 <at> debbugs.gnu.org, bschwehn@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Po Lu <luangruo@HIDDEN>
> Cc: Benjamin Schwehn <bschwehn@HIDDEN>,  66151 <at> debbugs.gnu.org
> Date: Fri, 22 Sep 2023 21:12:49 +0800
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> >> deliver_thread_signal.constprop.0 at
> >> /home/ben/install/emacs/emacs/src/sysdep.c:1765
> >> ?? ??:0
> >> make_lisp_ptr at /home/ben/install/emacs/emacs/src/lisp.h:1364
> >>  (inlined by) realize_default_face at
> >> /home/ben/install/emacs/emacs/src/xfaces.c:5802
> >>  (inlined by) realize_basic_faces at
> >> /home/ben/install/emacs/emacs/src/xfaces.c:5736
> >
> > The segfault seems to be caused by the frame's output_data.x being
> > NULL or invalid.  Po Lu, is this caused by stopping the server or
> > cutting the network connection between client and server?  If so, is
> > there any remedy?
> 
> The cause is the network connection being cut.  If a display disconnect
> transpires while Emacs is operating on live frames connected to that
> display, Emacs will crash, as the Xlib error handler deletes such frames
> promptly.  There are no simple solutions or means of circumventing this
> problem.

I think in this case there were no live frames connected to the
display, only the initial (non-GUI) daemon frame.  Benjamin, is that
true?

> > Btw, I don't quite understand this part:
> >
> >> recompute_basic_faces at /home/ben/install/emacs/emacs/src/xfaces.c:682
> >>  (inlined by) recompute_basic_faces at
> >> /home/ben/install/emacs/emacs/src/xfaces.c:677
> >>  (inlined by) free_realized_fontsets at
> >> /home/ben/install/emacs/emacs/src/fontset.c:1345
> >> Fset_fontset_font at /home/ben/install/emacs/emacs/src/fontset.c:1696
> >
> > Why do we need to call set-fontset-font here?  What kind of
> > emacsclient command line causes this?
> 
> I don't know, but the answer to that question might yield some
> information that could concievably be used to avoid the set of
> circumstances which precipitated this particular crash.

Yes, which is why I asked Benjamin to try to provide that information ;-)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#66151; Package emacs. Full text available.

Message received at 66151 <at> debbugs.gnu.org:


Received: (at 66151) by debbugs.gnu.org; 22 Sep 2023 13:13:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 22 09:13:23 2023
Received: from localhost ([127.0.0.1]:35642 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qjfyF-0006AL-Bd
	for submit <at> debbugs.gnu.org; Fri, 22 Sep 2023 09:13:23 -0400
Received: from sonic308-56.consmr.mail.ne1.yahoo.com ([66.163.187.31]:40905)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1qjfyB-0006A5-T8
 for 66151 <at> debbugs.gnu.org; Fri, 22 Sep 2023 09:13:22 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1695388383; bh=/Z3+/J/ypvPVKt8dlabn86UAmenjfQoDB27n/tvxaCE=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=XRdNzAwQPyGbMAgJE8cCaX9/MvN12Uu2n0BTkUNk7nj77bn2UIXWcUxZdtDDAn1oQp0D4YDC9ekp2lx0+unoAtnj8C0GX1+xSx0u6oHdrVEsyN0ksLIrEKQlqj2z+ocpEupSibirwWDFVppY8F+iLJ/yDCshhdmo4KBJg8swvU+jaqjcl8cbJ028G+0f2ZZ5gz/lDZXdD0GIjmmyDpg0bdIp7dAHBlBpsOsBxed/rXGg6mT4VAanTbDKB3lI63pH1FJ7nuBPCNofFmj7aVb3nS83l8TvXg+XFDdi1CgPDQO/0ckR5IxJVvCddykqo2sFOukWg86UV1EVc0qEoqjTMw==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1695388383; bh=1funfyCKX8EOLSqxunSS6htfCUfVvFYz6WpLzL+tXRk=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=H3q9syrB02++rb5jH9EO87bSaW9nx/N0Fmjy8utW5KFm9KB4KBInTKt2VFBBC8g1QjzLaw5JKsAsZuTNaRfMG8JGlbhQ3OMVYAtwnTmO8PLvFcuVwpf52MIMS3lANNPFGWpx3PjG2XH6wVcVjgo0vnPoKfl8l+q+CIG56GQ/CEtQbHqT7JdNaV/nuSWxomcB63gCM6uehThLRvv+DWw3PCbAfP9v0YbkMrfZSgnnTJ92HkTKvWujjCowmwj0gdXuG6b0BeoYvUezzde6/d/aF5oIRuAeiZ96RLH3kvSApz/sYExka/QzJvQk3Yb5GgldaS1kYPpJzmO7Z2IsNo4eEw==
X-YMail-OSG: 8yhdqE8VM1m.WPLqBYb3u_fICZQJzaVlAAecFzN5rqBLfNMjjASdZ_Myu5LDXlE
 g.iPn5JRZKH0QlK3P.E3D0ZEdeisa3XHGdwFDWuqqbq_Pj3D.MlPAXvjjetWyfqehN3QK3zsDOqJ
 4FlDwTTlVKeTJtEFVtVMOa7KPCUOki_caPTdDJSTZEFm3Xss88JalRvpU_x6RlIsJB85P5wTcMFG
 l03pefNfvBjuXRZBIEIW9GOdJV8C8EPrgdW37ynqVfVf_uxSLVrt7nw3Xu7mIF6iso1lp.zzTi2Q
 k4_rnNXWwF5P.UsAdthvN4hi70B9hF5h9Xju.xX6Xli4nJObCi0QOf0jcNem0AoKqYibVF254ja.
 zFGdFX8D0YfY4AnLjfRus3p3NWdIeDgni7CrDCbsNFmateGEy_JDod4wmtsaQLPBTRPJ1_tCc4nb
 wZ_5YcnjttkyOWVqwNudLnHUaEjMAFOt6zbigkm6amtBpGwfuiSp4LW88.R8b.OUlbSDHM3fhjY4
 M9APTT7RhPN4sXhfE85MLFN5SqiS7NBs6LOFP6R27B_gH2xoR9P9VQkAhqBO8Xvzz3wC14_pzaCn
 JXNITRsc_e3C8iQ2fSLQ8evJ3.9UTHcAdwiBxuc.cKOZfjuGLcPRjEzkd6GooMuTD5aRZo8_yuvA
 mhpxWWIXpsPo9s0MJhwg.PBujP6xNJjuIe4017CTnNOAShY_a3Yiu1LH77OoHqfzPeCFOHfHe7Tm
 SLqWn3wntpZooHDJR_uySWw_i93hdo86HBbQq5xARlWcWNGSHAsfLPpIB3EDpFIGu59l5uHxAiFJ
 bnpRES9AhW4dh3D7_fYP.qQigXmlGO83doAam7gsDeAfZLv004fndBhlwnw8zf_lizsyuDTm5cNV
 zExtLez9YNNIlWrLyiqhperlo71GrNji.LZcvHFN0t_Z91YeL1ffMZ0uf1zc92VzmMQGLcKEPzzf
 K1nGVXyVGTZ3f30Qmt62JL7PYTfeUYSFDtCYtlHI8rUmi8YkFmLRLTVAUuCcRJAgjiuOrmngn3d.
 dZzhAPWxnl30yafL0f3g5CftbBIgFA3hakUgl7vXZlTyT4zbGFhV7m.icPOyZHKasI9Pl4N6MWPp
 cWJr7gKXNox9C_lOWF9NNCDHemOY.p8R72AR4sSYm2MANW2fRCrNiZPWP34j.ZH3Nj7wnd92Adp4
 qRP3inQ3yKisA.d9iYwlRjaDWDEjQkcLHpgsbYe19YZW.Yxm69uz4TA6qrrk9JsKivWfwfzST5Y4
 O35kKiGUGUCh7OikTgJEuZko2yMdLk8e5RWasG56bLRo7HcTA7H2aAR8bT7JvneUZd5_W8INRnw6
 eLmXSzXTvVf5bjOQjAqU.Sit.9lbfpK3AQKz8NuXZTiCBSWoXHQcclFsDfrPkl_ESmmlQUvNH7IW
 59zfy0TewWxtbbUi4fmxsjIqd9ojwYz6W2vh.pXwnsg4M_oaoRjkQGSvHvRcHEvV_e7hV1LVMx2D
 OtEqMDnLLxENQdeZaIuaQL.JTnv4th44KAA.L1Ckg6zOPs0RxLMwpyWJZT.IZorzzrE5hJF6sZmC
 QeAWf9xdGig5Xt7yPdt_rpqRFxAFDTizHFTJNPxU37D5Cm0DG3MGbvG7JT32bHdOpso99YWXjinK
 A8cUXxZcBdXd8N3P0VjXUUQFrwA9WCVW6ThQSR9qjcRQML.muLgtICOHT6gNM1ai0OkZlq210S_2
 XZrvNKLKXVsqQSSNQMT2eq4VRwFNnLG8s_FGYLSAvQgC6E5BJIEDlxBShGl9VmaLNbUlmWqN0tY8
 nuoc8hVCZCGwkRJ4kIpyw8SY_jWJFMsRsvQ9t3_41iT5Gy4No__zkj3bQltYCPZG0xEe.H7OWDuc
 SDnVZSec9wpP337OFKIg1pX9zexMpveUP3SL_9ORLSyerJrHo4pc4ORUjbBQQS5RbK1B0fSpS_VA
 .6JTzFSdgEqtOmTLDYS6abQObAs7lf.ANNDDZ3sSzNaIT5pKBsg3lANhq_RZsrHfxY0GO4Lq70SU
 cKP5FRqdIdJ9677H.zIJ6SX2t4djDjnJLXF6lZmWJ0Bl1tEY1eLR2LJKGVY4uae9PjElX5QpgNT0
 qvrVHf6RVnWCVc0g24VpZVrxKydBy6hP38cmLjFNjqlXoRauDQzHpEnyLPabIEIZAGvIMfRWU3Dp
 tJNSxdKoTo.GmfiT90MVwBXXEhh33nFQtZZoq8ezzzzERh.kd1jc3cV6vsb0fsMRqpRgKNzfvt2t
 b7.dSujr5llf.f_v3W_BwdZ8GTFnEOZjIOiXLMHD3Dgw2nLRO8JyWnbWQAhzN
X-Sonic-MF: <luangruo@HIDDEN>
X-Sonic-ID: e52e80fe-cf90-48fe-8a9e-b3da851c6294
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic308.consmr.mail.ne1.yahoo.com with HTTP; Fri, 22 Sep 2023 13:13:03 +0000
Received: by hermes--production-sg3-55c667b499-jt2w5 (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID ccae232e50f0864fe19053dd2b1a4d0f; 
 Fri, 22 Sep 2023 13:12:56 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#66151: 29.1.50; daemon crashing after X forwarding disconnects
In-Reply-To: <83fs3675zc.fsf@HIDDEN> (Eli Zaretskii's message of "Fri, 22 Sep
 2023 15:22:15 +0300")
References: <CA+CxCG_5ZA0OEDuOuRq8V++pSyZwM0eQ0y5rCt0GvpEKETfMsA@HIDDEN>
 <83fs3675zc.fsf@HIDDEN>
Date: Fri, 22 Sep 2023 21:12:49 +0800
Message-ID: <87ediqpd0u.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.21797
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 1583
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 66151
Cc: 66151 <at> debbugs.gnu.org, Benjamin Schwehn <bschwehn@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> deliver_thread_signal.constprop.0 at
>> /home/ben/install/emacs/emacs/src/sysdep.c:1765
>> ?? ??:0
>> make_lisp_ptr at /home/ben/install/emacs/emacs/src/lisp.h:1364
>>  (inlined by) realize_default_face at
>> /home/ben/install/emacs/emacs/src/xfaces.c:5802
>>  (inlined by) realize_basic_faces at
>> /home/ben/install/emacs/emacs/src/xfaces.c:5736
>
> The segfault seems to be caused by the frame's output_data.x being
> NULL or invalid.  Po Lu, is this caused by stopping the server or
> cutting the network connection between client and server?  If so, is
> there any remedy?

The cause is the network connection being cut.  If a display disconnect
transpires while Emacs is operating on live frames connected to that
display, Emacs will crash, as the Xlib error handler deletes such frames
promptly.  There are no simple solutions or means of circumventing this
problem.

> Btw, I don't quite understand this part:
>
>> recompute_basic_faces at /home/ben/install/emacs/emacs/src/xfaces.c:682
>>  (inlined by) recompute_basic_faces at
>> /home/ben/install/emacs/emacs/src/xfaces.c:677
>>  (inlined by) free_realized_fontsets at
>> /home/ben/install/emacs/emacs/src/fontset.c:1345
>> Fset_fontset_font at /home/ben/install/emacs/emacs/src/fontset.c:1696
>
> Why do we need to call set-fontset-font here?  What kind of
> emacsclient command line causes this?

I don't know, but the answer to that question might yield some
information that could concievably be used to avoid the set of
circumstances which precipitated this particular crash.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#66151; Package emacs. Full text available.

Message received at 66151 <at> debbugs.gnu.org:


Received: (at 66151) by debbugs.gnu.org; 22 Sep 2023 12:22:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 22 08:22:37 2023
Received: from localhost ([127.0.0.1]:35505 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qjfB6-00026b-Jc
	for submit <at> debbugs.gnu.org; Fri, 22 Sep 2023 08:22:36 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:34112)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1qjfB3-00026O-Ha
 for 66151 <at> debbugs.gnu.org; Fri, 22 Sep 2023 08:22:35 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1qjfAm-0008DA-S0; Fri, 22 Sep 2023 08:22:17 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=H76mDg1ynSQZMcQFnyHgSR2er36aSH0ElegWMNhMgTM=; b=CAqGKMyqqTWO
 kpI9NUZUMvteBQ13KByqURUWMiq4v8gsdnxwBf88hZEo7nP7d85WyNE0/Prv5TxDZMy7x8iUuK8BH
 OFfIg71nHM1TtWHXJe/KlKQPLJn0N8CPdXrK5f3/uwa7sbKsA2TrsKX2AgzHnHXOH/NmjAzm/1PtY
 0CNxhlRFKlfJ9vo3uX2sGBns6HlKoOtvysydop4VO0wniLy0Mq2UR83tsSQx6EVYUrZ0X2vfFaRHk
 NDwjIm9loON3h3hGWmE1XOlv6ftosLpXRaa0lL392nee9MeWqETgLZPW09dJ2WbLGrs4LH04C2aEU
 k6EnufBke9r7Ck4Kqolcjw==;
Date: Fri, 22 Sep 2023 15:22:15 +0300
Message-Id: <83fs3675zc.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Benjamin Schwehn <bschwehn@HIDDEN>, Po Lu <luangruo@HIDDEN>
In-Reply-To: <CA+CxCG_5ZA0OEDuOuRq8V++pSyZwM0eQ0y5rCt0GvpEKETfMsA@HIDDEN>
 (message from Benjamin Schwehn on Fri, 22 Sep 2023 12:22:08 +0200)
Subject: Re: bug#66151: 29.1.50; daemon crashing after X forwarding disconnects
References: <CA+CxCG_5ZA0OEDuOuRq8V++pSyZwM0eQ0y5rCt0GvpEKETfMsA@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 66151
Cc: 66151 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Benjamin Schwehn <bschwehn@HIDDEN>
> Date: Fri, 22 Sep 2023 12:22:08 +0200
> 
> Hi,
> I have emacs daemon reproducibly crashing in this scenario:
> 
> - emacs running as daemon via systemd user service
> - running "emacsclient -nc" via ssh -X session
> - stop X server on client machine or cut network connection between
>  client and server
> - run emacsclient -nc again
> 
> Result:
> emacs window opens for about a second, then the daemon crashes. The
> daemon then automatically restarts via the systemd service and once it
> is up again, emacsclient works fine again.

Does this happen with any emacsclient command in this situation?  What
if you don't use -c, for example, or use -t instead?

From this backtrace:

> deliver_thread_signal.constprop.0 at
> /home/ben/install/emacs/emacs/src/sysdep.c:1765
> ?? ??:0
> make_lisp_ptr at /home/ben/install/emacs/emacs/src/lisp.h:1364
>  (inlined by) realize_default_face at
> /home/ben/install/emacs/emacs/src/xfaces.c:5802
>  (inlined by) realize_basic_faces at
> /home/ben/install/emacs/emacs/src/xfaces.c:5736

The segfault seems to be caused by the frame's output_data.x being
NULL or invalid.  Po Lu, is this caused by stopping the server or
cutting the network connection between client and server?  If so, is
there any remedy?  Perhaps the server should exit gracefully in this
case?

Btw, I don't quite understand this part:

> recompute_basic_faces at /home/ben/install/emacs/emacs/src/xfaces.c:682
>  (inlined by) recompute_basic_faces at
> /home/ben/install/emacs/emacs/src/xfaces.c:677
>  (inlined by) free_realized_fontsets at
> /home/ben/install/emacs/emacs/src/fontset.c:1345
> Fset_fontset_font at /home/ben/install/emacs/emacs/src/fontset.c:1696

Why do we need to call set-fontset-font here?  What kind of
emacsclient command line causes this?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#66151; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 22 Sep 2023 10:22:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 22 06:22:54 2023
Received: from localhost ([127.0.0.1]:35353 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1qjdJE-0001uI-P4
	for submit <at> debbugs.gnu.org; Fri, 22 Sep 2023 06:22:54 -0400
Received: from lists.gnu.org ([2001:470:142::17]:44840)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bschwehn@HIDDEN>) id 1qjdJ9-0001u0-3i
 for submit <at> debbugs.gnu.org; Fri, 22 Sep 2023 06:22:51 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bschwehn@HIDDEN>)
 id 1qjdIo-0002So-Gq
 for bug-gnu-emacs@HIDDEN; Fri, 22 Sep 2023 06:22:27 -0400
Received: from mail-ed1-x52e.google.com ([2a00:1450:4864:20::52e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <bschwehn@HIDDEN>)
 id 1qjdIk-0006AB-Al
 for bug-gnu-emacs@HIDDEN; Fri, 22 Sep 2023 06:22:26 -0400
Received: by mail-ed1-x52e.google.com with SMTP id
 4fb4d7f45d1cf-5335d9045b4so1299616a12.3
 for <bug-gnu-emacs@HIDDEN>; Fri, 22 Sep 2023 03:22:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=gmail.com; s=20230601; t=1695378140; x=1695982940; darn=gnu.org;
 h=to:subject:message-id:date:from:mime-version:from:to:cc:subject
 :date:message-id:reply-to;
 bh=w4okV3xGPFQdovjRWuDdqwpz+ABaOGAKgcKJpRhw86M=;
 b=d1q1Osjow22bUu11yadSnxlZt+ZrtEVmxGErJdmmnE2FvEbkNS0tmVFKlyJ8ZOQl7M
 0mlPlfW1Vnfpc8S8TR3WR+rjVpdAYPqcHWkccBvlTsFmrqNoJkzThIkg6HIrJ+8HQTlU
 BTwDln9s7qDE3O0zIh9ZHGvPoblnOb4gN9lvzmC8aNLaDR22i1uOReTriGbA+x/K4eTL
 f3L8oFpFn+ZWfQR2Onulf73CP/be+qcFCsASl+mtQWwBKrOtgPnfJ5eM2DEmVWigd+oV
 jVi8sMdbn0ICSyFbgFJFbxR5RQHcoKZKR3UkaGZl8sa+c/AQYCD7XrWyDgkDnhXaclBD
 FMpg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20230601; t=1695378140; x=1695982940;
 h=to:subject:message-id:date:from:mime-version:x-gm-message-state
 :from:to:cc:subject:date:message-id:reply-to;
 bh=w4okV3xGPFQdovjRWuDdqwpz+ABaOGAKgcKJpRhw86M=;
 b=PhPAxXhNL1cxblzV09XxxEZSXzJqdkBouy9E6k3UVvzmVpUHl3sr+u06sLYfA/o7Oj
 sS6l54AFRS+Vl/wz4i9vQ88TIUk8HeUoiYDAXqwQQnerk9igM2IxKapYNKbn+k8hDcq+
 gtx08hIKYr68q0B/CKjW9Wljic2Sn2u/TFV3CeWU5u9eMDbiCaTITJppHUjKdFdzr9Pq
 72kgh8VuFLF0HNyR11PadigZvZ17kNPBWbk3DpMpyb6MCHBLmqDozgrWxMvCEESsftJY
 BTp108arQOHEUq9NGvEVDrAEMf1ypyphgP2SENeDH4Zzd+10EDNOlsD0FE0ymjB6j+XB
 lmEw==
X-Gm-Message-State: AOJu0YzsVccTn1LcL79nPgqSzBEx67cEUWcJoobx5SRde8W+2W19n/aT
 zfkCWCSxIROYUXj27txVEq867BMK15LeVaah2jj3lW0rP48=
X-Google-Smtp-Source: AGHT+IG74lPjlP3Jbh/3ILPj6LCSgD4+q+YeTDQkcPRW8WK3do+3beiwLGLWBepWkjK6vawirUra22Hxw/IiY7pmybI=
X-Received: by 2002:aa7:c245:0:b0:532:c72e:26fb with SMTP id
 y5-20020aa7c245000000b00532c72e26fbmr5937070edo.6.1695378138987; Fri, 22 Sep
 2023 03:22:18 -0700 (PDT)
MIME-Version: 1.0
From: Benjamin Schwehn <bschwehn@HIDDEN>
Date: Fri, 22 Sep 2023 12:22:08 +0200
Message-ID: <CA+CxCG_5ZA0OEDuOuRq8V++pSyZwM0eQ0y5rCt0GvpEKETfMsA@HIDDEN>
Subject: 29.1.50; daemon crashing after X forwarding disconnects
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset="UTF-8"
Received-SPF: pass client-ip=2a00:1450:4864:20::52e;
 envelope-from=bschwehn@HIDDEN; helo=mail-ed1-x52e.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

Hi,
I have emacs daemon reproducibly crashing in this scenario:

- emacs running as daemon via systemd user service
- running "emacsclient -nc" via ssh -X session
- stop X server on client machine or cut network connection between
 client and server
- run emacsclient -nc again

Result:
emacs window opens for about a second, then the daemon crashes. The
daemon then automatically restarts via the systemd service and once it
is up again, emacsclient works fine again.

Log in journalctl:

11:10:18 emacs[267232]: Backtrace:
11:10:18 emacs[267232]: /usr/local/bin/emacs(+0x1a81e1)[0x5584b348c1e1]
11:10:18 emacs[267232]: /usr/local/bin/emacs(+0x51635)[0x5584b3335635]
11:10:18 emacs[267232]: /usr/local/bin/emacs(+0x5206d)[0x5584b333606d]
11:10:18 emacs[267232]: /usr/local/bin/emacs(+0x2edfb1)[0x5584b35d1fb1]
11:10:18 emacs[267232]:
/lib/x86_64-linux-gnu/libc.so.6(+0x42520)[0x7f21b6fc5520]
11:10:18 emacs[267232]: /usr/local/bin/emacs(+0x138684)[0x5584b341c684]
11:10:18 emacs[267232]: /usr/local/bin/emacs(+0x2c1a7c)[0x5584b35a5a7c]
11:10:18 emacs[267232]: /usr/local/bin/emacs(+0x2c2e9b)[0x5584b35a6e9b]
11:10:18 emacs[267232]: /usr/local/bin/emacs(+0x228234)[0x5584b350c234]
11:10:18 emacs[267232]: /usr/local/bin/emacs(+0x228147)[0x5584b350c147]
11:10:18 emacs[267232]: /usr/local/bin/emacs(+0x21897d)[0x5584b34fc97d]
11:10:18 emacs[267232]: /usr/local/bin/emacs(+0x228147)[0x5584b350c147]
11:10:18 emacs[267232]: /usr/local/bin/emacs(+0x218e55)[0x5584b34fce55]
11:10:18 emacs[267232]: /usr/local/bin/emacs(+0x228147)[0x5584b350c147]
11:10:18 emacs[267232]: /usr/local/bin/emacs(+0x217ccd)[0x5584b34fbccd]
11:10:18 emacs[267232]: /usr/local/bin/emacs(+0x228147)[0x5584b350c147]
11:10:18 emacs[267232]: /usr/local/bin/emacs(+0x228147)[0x5584b350c147]
11:10:18 emacs[267232]: /usr/local/bin/emacs(+0x229045)[0x5584b350d045]
11:10:18 emacs[267232]: /usr/local/bin/emacs(+0x226da3)[0x5584b350ada3]
11:10:18 emacs[267232]: /usr/local/bin/emacs(+0x22991d)[0x5584b350d91d]
11:10:18 emacs[267232]: /usr/local/bin/emacs(+0x224a73)[0x5584b3508a73]
11:10:18 emacs[267232]: /usr/local/bin/emacs(+0x224c7c)[0x5584b3508c7c]
11:10:18 emacs[267232]: /usr/local/bin/emacs(+0x226da3)[0x5584b350ada3]
11:10:18 emacs[267232]:
/usr/local/lib/emacs/29.1.50/native-lisp/29.1.50-962049e0/server-0cc44189-b99afbb0.eln(F7365727665722d65786563757465_server_execute_0+0x868)[0x7f21b06b7fc8]
11:10:18 emacs[267232]: /usr/local/bin/emacs(+0x224fe2)[0x5584b3508fe2]
11:10:18 emacs[267232]: /usr/local/bin/emacs(+0x2720d7)[0x5584b35560d7]
11:10:18 emacs[267232]: /usr/local/bin/emacs(+0x226da3)[0x5584b350ada3]
11:10:18 emacs[267232]:
/usr/local/lib/emacs/29.1.50/native-lisp/29.1.50-962049e0/server-0cc44189-b99afbb0.eln(F7365727665722d657865637574652d636f6e74696e756174696f6e_server_execute_continuation_0+0x>
11:10:18 emacs[267232]: /usr/local/bin/emacs(+0x226da3)[0x5584b350ada3]
11:10:18 emacs[267232]:
/usr/local/lib/emacs/29.1.50/native-lisp/29.1.50-962049e0/server-0cc44189-b99afbb0.eln(F7365727665722d70726f636573732d66696c746572_server_process_filter_0+0xe33)[0x7f21b06b5e3>
11:10:18 emacs[267232]: /usr/local/bin/emacs(+0x226da3)[0x5584b350ada3]
11:10:18 emacs[267232]: /usr/local/bin/emacs(+0x227410)[0x5584b350b410]
11:10:18 emacs[267232]: /usr/local/bin/emacs(+0x27c3d1)[0x5584b35603d1]
11:10:18 emacs[267232]: /usr/local/bin/emacs(+0x2231dc)[0x5584b35071dc]
11:10:18 emacs[267232]: /usr/local/bin/emacs(+0x27cad6)[0x5584b3560ad6]
11:10:18 emacs[267232]: /usr/local/bin/emacs(+0x283701)[0x5584b3567701]
11:10:18 emacs[267232]: /usr/local/bin/emacs(+0x19401a)[0x5584b347801a]
11:10:18 emacs[267232]: /usr/local/bin/emacs(+0x195e03)[0x5584b3479e03]
11:10:18 emacs[267232]: /usr/local/bin/emacs(+0x1a0bc5)[0x5584b3484bc5]
11:10:18 emacs[267232]: /usr/local/bin/emacs(+0x18c30d)[0x5584b347030d]
11:10:18 emacs[267232]: /usr/local/bin/emacs(+0x223147)[0x5584b3507147]
11:10:18 emacs[267232]: ...
11:10:18 systemd[907]: emacs.service: Main process exited,
code=dumped, status=11/SEGV
11:10:18 systemd[907]: emacs.service: Failed with result 'core-dump'.
11:10:18 systemd[907]: emacs.service: Consumed 48.123s CPU time.
11:10:19 systemd[907]: emacs.service: Scheduled restart job, restart
counter is at 1.
11:10:19 systemd[907]: Stopped Emacs text editor.
11:10:19 systemd[907]: emacs.service: Consumed 48.123s CPU time.


sed -n 's/.*(\(.*\)).*$/\1/p' /tmp/emacscrashlog |\
    addr2line -C -f -i -p -e /usr/local/bin/emacs

emacs_backtrace at /home/ben/install/emacs/emacs/src/sysdep.c:2304
terminate_due_to_signal at /home/ben/install/emacs/emacs/src/emacs.c:458
deliver_process_signal at /home/ben/install/emacs/emacs/src/sysdep.c:1741
 (inlined by) deliver_fatal_signal at
/home/ben/install/emacs/emacs/src/sysdep.c:1789
deliver_thread_signal.constprop.0 at
/home/ben/install/emacs/emacs/src/sysdep.c:1765
?? ??:0
make_lisp_ptr at /home/ben/install/emacs/emacs/src/lisp.h:1364
 (inlined by) realize_default_face at
/home/ben/install/emacs/emacs/src/xfaces.c:5802
 (inlined by) realize_basic_faces at
/home/ben/install/emacs/emacs/src/xfaces.c:5736
recompute_basic_faces at /home/ben/install/emacs/emacs/src/xfaces.c:682
 (inlined by) recompute_basic_faces at
/home/ben/install/emacs/emacs/src/xfaces.c:677
 (inlined by) free_realized_fontsets at
/home/ben/install/emacs/emacs/src/fontset.c:1345
Fset_fontset_font at /home/ben/install/emacs/emacs/src/fontset.c:1696
eval_sub at /home/ben/install/emacs/emacs/src/eval.c:2515
eval_sub at /home/ben/install/emacs/emacs/src/eval.c:2449
Fprogn at /home/ben/install/emacs/emacs/src/eval.c:436
 (inlined by) FletX at /home/ben/install/emacs/emacs/src/eval.c:958
eval_sub at /home/ben/install/emacs/emacs/src/eval.c:2449
Fprogn at /home/ben/install/emacs/emacs/src/eval.c:436
 (inlined by) Flet at /home/ben/install/emacs/emacs/src/eval.c:1026
eval_sub at /home/ben/install/emacs/emacs/src/eval.c:2449
Fprogn at /home/ben/install/emacs/emacs/src/eval.c:436
eval_sub at /home/ben/install/emacs/emacs/src/eval.c:2449
eval_sub at /home/ben/install/emacs/emacs/src/eval.c:2449
Fprogn at /home/ben/install/emacs/emacs/src/eval.c:436
 (inlined by) funcall_lambda at /home/ben/install/emacs/emacs/src/eval.c:3233
Ffuncall at /home/ben/install/emacs/emacs/src/eval.c:2997
funcall_nil at /home/ben/install/emacs/emacs/src/eval.c:2679
run_hook_with_args at /home/ben/install/emacs/emacs/src/eval.c:2822
Frun_hooks at /home/ben/install/emacs/emacs/src/eval.c:2700 (discriminator 3)
Ffuncall at /home/ben/install/emacs/emacs/src/eval.c:2997
?? ??:0
funcall_subr at /home/ben/install/emacs/emacs/src/eval.c:3046
exec_byte_code at /home/ben/install/emacs/emacs/src/bytecode.c:809
Ffuncall at /home/ben/install/emacs/emacs/src/eval.c:2997
Ffuncall at /home/ben/install/emacs/emacs/src/eval.c:2997
?? ??:0
Ffuncall at /home/ben/install/emacs/emacs/src/eval.c:2997
safe_free at /home/ben/install/emacs/emacs/src/lisp.h:5373
 (inlined by) Fapply at /home/ben/install/emacs/emacs/src/eval.c:2668
read_process_output_call at /home/ben/install/emacs/emacs/src/process.c:6071
internal_condition_case_1 at /home/ben/install/emacs/emacs/src/eval.c:1500
read_and_dispose_of_process_output at
/home/ben/install/emacs/emacs/src/process.c:6300
 (inlined by) read_process_output at
/home/ben/install/emacs/emacs/src/process.c:6204
wait_reading_process_output at /home/ben/install/emacs/emacs/src/process.c:5889
kbd_buffer_get_event at /home/ben/install/emacs/emacs/src/keyboard.c:4012
read_event_from_main_queue at /home/ben/install/emacs/emacs/src/keyboard.c:2280
 (inlined by) read_decoded_event_from_main_queue at
/home/ben/install/emacs/emacs/src/keyboard.c:2343
 (inlined by) read_char at /home/ben/install/emacs/emacs/src/keyboard.c:2973
read_key_sequence at
/home/ben/install/emacs/emacs/src/keyboard.c:10087 (discriminator 3)
command_loop_1 at /home/ben/install/emacs/emacs/src/keyboard.c:1384
internal_condition_case at /home/ben/install/emacs/emacs/src/eval.c:1476


Maybe something related to font rendering? Please let me know what I
cando to help track this issue down further.
I had hoped using lucid would help, but the issue is the same as when
building emacs with gtk.

Thanks,Ben

from report-emacs-bug:

In GNU Emacs 29.1.50 (build 2, x86_64-pc-linux-gnu, X toolkit, cairo
 version 1.16.0, Xaw scroll bars) of 2023-09-22 built on g1devvap01
Repository revision: c966e7ec381fa32ad09dab4329d5ad27d87b5b98
Repository branch: emacs-29
Windowing system distributor 'Moba/X', version 11.0.11603000
System Description: Ubuntu 22.04.3 LTS

Configured using:
 'configure --with-native-compilation=aot --with-tree-sitter
 --with-x-toolkit=lucid --with-json --without-xaw3d --with-sound=no
 --enable-link-time-optimization'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES
NATIVE_COMP NOTIFY INOTIFY PDUMPER PNG RSVG SECCOMP SQLITE3 THREADS TIFF
TOOLKIT_SCROLL_BARS TREE_SITTER X11 XDBE XIM XINPUT2 XPM LUCID ZLIB

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Org

Minor modes in effect:
  evil-traces-mode: t
  projectile-mode: t
  +emacs-lisp-non-package-mode: t
  flyspell-lazy-mode: t
  flyspell-mode: t
  evil-org-mode: t
  org-auto-tangle-mode: t
  +word-wrap-mode: t
  org-indent-mode: t
  solaire-global-mode: t
  yas-global-mode: t
  yas-minor-mode: t
  doom-modeline-mode: t
  which-key-mode: t
  savehist-mode: t
  better-jumper-mode: t
  better-jumper-local-mode: t
  company-box-mode: t
  global-company-mode: t
  company-mode: t
  vertico-mode: t
  all-the-icons-completion-mode: t
  marginalia-mode: t
  evil-goggles-mode: t
  evil-escape-mode: t
  evil-snipe-override-mode: t
  evil-snipe-mode: t
  evil-snipe-override-local-mode: t
  evil-snipe-local-mode: t
  recentf-mode: t
  save-place-mode: t
  global-so-long-mode: t
  global-git-commit-mode: t
  shell-dirtrack-mode: t
  server-mode: t
  gcmh-mode: t
  global-hl-line-mode: t
  hl-line-mode: t
  winner-mode: t
  smartparens-global-mode: t
  smartparens-mode: t
  global-undo-tree-mode: t
  undo-tree-mode: t
  flycheck-popup-tip-mode: t
  global-flycheck-mode: t
  flycheck-mode: t
  ws-butler-global-mode: t
  ws-butler-mode: t
  editorconfig-mode: t
  org-roam-db-autosync-mode: t
  whitespace-mode: t
  global-evil-surround-mode: t
  evil-surround-mode: t
  eros-mode: t
  vi-tilde-fringe-mode: t
  display-line-numbers-mode: t
  persistent-scratch-autosave-mode: t
  evil-mode: t
  evil-local-mode: t
  windmove-mode: t
  +popup-mode: t
  override-global-mode: t
  general-override-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  window-divider-mode: t
  size-indication-mode: t
  column-number-mode: t
  line-number-mode: t
  visual-line-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
/home/ben/.emacs.d/.local/straight/build-29.1.50/emacsql-sqlite/emacsql-sqlite
hides /home/ben/.emacs.d/.local/straight/build-29.1.50/emacsql/emacsql-sqlite
/home/ben/.emacs.d/.local/straight/build-29.1.50/jsonrpc/jsonrpc hides
/usr/local/share/emacs/29.1.50/lisp/jsonrpc
/home/ben/.emacs.d/.local/straight/build-29.1.50/external-completion/external-completion
hides /usr/local/share/emacs/29.1.50/lisp/external-completion
/home/ben/.emacs.d/.local/straight/build-29.1.50/transient/transient
hides /usr/local/share/emacs/29.1.50/lisp/transient
/home/ben/.emacs.d/.local/straight/build-29.1.50/use-package/use-package-delight
hides /usr/local/share/emacs/29.1.50/lisp/use-package/use-package-delight
/home/ben/.emacs.d/.local/straight/build-29.1.50/use-package/use-package
hides /usr/local/share/emacs/29.1.50/lisp/use-package/use-package
/home/ben/.emacs.d/.local/straight/build-29.1.50/use-package/use-package-diminish
hides /usr/local/share/emacs/29.1.50/lisp/use-package/use-package-diminish
/home/ben/.emacs.d/.local/straight/build-29.1.50/use-package/use-package-lint
hides /usr/local/share/emacs/29.1.50/lisp/use-package/use-package-lint
/home/ben/.emacs.d/.local/straight/build-29.1.50/use-package/use-package-ensure
hides /usr/local/share/emacs/29.1.50/lisp/use-package/use-package-ensure
/home/ben/.emacs.d/.local/straight/build-29.1.50/bind-key/bind-key
hides /usr/local/share/emacs/29.1.50/lisp/use-package/bind-key
/home/ben/.emacs.d/.local/straight/build-29.1.50/use-package/use-package-core
hides /usr/local/share/emacs/29.1.50/lisp/use-package/use-package-core
/home/ben/.emacs.d/.local/straight/build-29.1.50/use-package/use-package-jump
hides /usr/local/share/emacs/29.1.50/lisp/use-package/use-package-jump
/home/ben/.emacs.d/.local/straight/build-29.1.50/use-package/use-package-bind-key
hides /usr/local/share/emacs/29.1.50/lisp/use-package/use-package-bind-key
/home/ben/.emacs.d/.local/straight/build-29.1.50/xref/xref hides
/usr/local/share/emacs/29.1.50/lisp/progmodes/xref
/home/ben/.emacs.d/.local/straight/build-29.1.50/eglot/eglot hides
/usr/local/share/emacs/29.1.50/lisp/progmodes/eglot
/home/ben/.emacs.d/.local/straight/build-29.1.50/project/project hides
/usr/local/share/emacs/29.1.50/lisp/progmodes/project
/home/ben/.emacs.d/.local/straight/build-29.1.50/flymake/flymake hides
/usr/local/share/emacs/29.1.50/lisp/progmodes/flymake
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-calc hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-calc
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-maxima hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-maxima
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ol-mhe hides
/usr/local/share/emacs/29.1.50/lisp/org/ol-mhe
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-goto hides
/usr/local/share/emacs/29.1.50/lisp/org/org-goto
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ox-koma-letter
hides /usr/local/share/emacs/29.1.50/lisp/org/ox-koma-letter
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-core hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-core
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-R hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-R
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-awk hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-awk
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-archive hides
/usr/local/share/emacs/29.1.50/lisp/org/org-archive
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-mobile hides
/usr/local/share/emacs/29.1.50/lisp/org/org-mobile
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-ruby hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-ruby
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/oc-bibtex hides
/usr/local/share/emacs/29.1.50/lisp/org/oc-bibtex
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-emacs-lisp
hides /usr/local/share/emacs/29.1.50/lisp/org/ob-emacs-lisp
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-lilypond hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-lilypond
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-js hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-js
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-agenda hides
/usr/local/share/emacs/29.1.50/lisp/org/org-agenda
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-clock hides
/usr/local/share/emacs/29.1.50/lisp/org/org-clock
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-attach-git
hides /usr/local/share/emacs/29.1.50/lisp/org/org-attach-git
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ox-icalendar
hides /usr/local/share/emacs/29.1.50/lisp/org/ox-icalendar
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-clojure hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-clojure
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-org hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-org
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ox-texinfo hides
/usr/local/share/emacs/29.1.50/lisp/org/ox-texinfo
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-macro hides
/usr/local/share/emacs/29.1.50/lisp/org/org-macro
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-colview hides
/usr/local/share/emacs/29.1.50/lisp/org/org-colview
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-ditaa hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-ditaa
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-lua hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-lua
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-octave hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-octave
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ol-eshell hides
/usr/local/share/emacs/29.1.50/lisp/org/ol-eshell
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-footnote
hides /usr/local/share/emacs/29.1.50/lisp/org/org-footnote
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-keys hides
/usr/local/share/emacs/29.1.50/lisp/org/org-keys
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ox-md hides
/usr/local/share/emacs/29.1.50/lisp/org/ox-md
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-groovy hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-groovy
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-table hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-table
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-pcomplete
hides /usr/local/share/emacs/29.1.50/lisp/org/org-pcomplete
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-datetree
hides /usr/local/share/emacs/29.1.50/lisp/org/org-datetree
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ox hides
/usr/local/share/emacs/29.1.50/lisp/org/ox
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-version hides
/usr/local/share/emacs/29.1.50/lisp/org/org-version
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ox-html hides
/usr/local/share/emacs/29.1.50/lisp/org/ox-html
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-entities
hides /usr/local/share/emacs/29.1.50/lisp/org/org-entities
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-loaddefs
hides /usr/local/share/emacs/29.1.50/lisp/org/org-loaddefs
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-ctags hides
/usr/local/share/emacs/29.1.50/lisp/org/org-ctags
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-fold hides
/usr/local/share/emacs/29.1.50/lisp/org/org-fold
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-macs hides
/usr/local/share/emacs/29.1.50/lisp/org/org-macs
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-duration
hides /usr/local/share/emacs/29.1.50/lisp/org/org-duration
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-ref hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-ref
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-lisp hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-lisp
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-screen hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-screen
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-habit hides
/usr/local/share/emacs/29.1.50/lisp/org/org-habit
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ol-doi hides
/usr/local/share/emacs/29.1.50/lisp/org/ol-doi
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-num hides
/usr/local/share/emacs/29.1.50/lisp/org/org-num
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-cycle hides
/usr/local/share/emacs/29.1.50/lisp/org/org-cycle
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-refile hides
/usr/local/share/emacs/29.1.50/lisp/org/org-refile
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ox-publish hides
/usr/local/share/emacs/29.1.50/lisp/org/ox-publish
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-inlinetask
hides /usr/local/share/emacs/29.1.50/lisp/org/org-inlinetask
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/oc-csl hides
/usr/local/share/emacs/29.1.50/lisp/org/oc-csl
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-ocaml hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-ocaml
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-attach hides
/usr/local/share/emacs/29.1.50/lisp/org/org-attach
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob hides
/usr/local/share/emacs/29.1.50/lisp/org/ob
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-java hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-java
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/oc hides
/usr/local/share/emacs/29.1.50/lisp/org/oc
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-lob hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-lob
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/oc-biblatex hides
/usr/local/share/emacs/29.1.50/lisp/org/oc-biblatex
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-eshell hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-eshell
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-persist hides
/usr/local/share/emacs/29.1.50/lisp/org/org-persist
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org hides
/usr/local/share/emacs/29.1.50/lisp/org/org
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-tangle hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-tangle
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-latex hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-latex
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ox-beamer hides
/usr/local/share/emacs/29.1.50/lisp/org/ox-beamer
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-sql hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-sql
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-capture hides
/usr/local/share/emacs/29.1.50/lisp/org/org-capture
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-python hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-python
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-list hides
/usr/local/share/emacs/29.1.50/lisp/org/org-list
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-sqlite hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-sqlite
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-id hides
/usr/local/share/emacs/29.1.50/lisp/org/org-id
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-timer hides
/usr/local/share/emacs/29.1.50/lisp/org/org-timer
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-scheme hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-scheme
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-plot hides
/usr/local/share/emacs/29.1.50/lisp/org/org-plot
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ox-man hides
/usr/local/share/emacs/29.1.50/lisp/org/ox-man
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-eval hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-eval
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-feed hides
/usr/local/share/emacs/29.1.50/lisp/org/org-feed
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-processing
hides /usr/local/share/emacs/29.1.50/lisp/org/ob-processing
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ox-odt hides
/usr/local/share/emacs/29.1.50/lisp/org/ox-odt
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ox-org hides
/usr/local/share/emacs/29.1.50/lisp/org/ox-org
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ox-latex hides
/usr/local/share/emacs/29.1.50/lisp/org/ox-latex
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-crypt hides
/usr/local/share/emacs/29.1.50/lisp/org/org-crypt
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-dot hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-dot
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-faces hides
/usr/local/share/emacs/29.1.50/lisp/org/org-faces
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-gnuplot hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-gnuplot
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-haskell hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-haskell
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/oc-natbib hides
/usr/local/share/emacs/29.1.50/lisp/org/oc-natbib
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-css hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-css
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-sed hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-sed
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-julia hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-julia
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-shell hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-shell
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-matlab hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-matlab
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-forth hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-forth
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-compat hides
/usr/local/share/emacs/29.1.50/lisp/org/org-compat
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ox-ascii hides
/usr/local/share/emacs/29.1.50/lisp/org/ox-ascii
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ol-bbdb hides
/usr/local/share/emacs/29.1.50/lisp/org/ol-bbdb
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-table hides
/usr/local/share/emacs/29.1.50/lisp/org/org-table
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-fortran hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-fortran
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-sass hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-sass
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ol-man hides
/usr/local/share/emacs/29.1.50/lisp/org/ol-man
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-exp hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-exp
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ol-rmail hides
/usr/local/share/emacs/29.1.50/lisp/org/ol-rmail
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-makefile hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-makefile
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ol-w3m hides
/usr/local/share/emacs/29.1.50/lisp/org/ol-w3m
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ol-irc hides
/usr/local/share/emacs/29.1.50/lisp/org/ol-irc
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-indent hides
/usr/local/share/emacs/29.1.50/lisp/org/org-indent
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/oc-basic hides
/usr/local/share/emacs/29.1.50/lisp/org/oc-basic
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-protocol
hides /usr/local/share/emacs/29.1.50/lisp/org/org-protocol
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ol-docview hides
/usr/local/share/emacs/29.1.50/lisp/org/ol-docview
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-lint hides
/usr/local/share/emacs/29.1.50/lisp/org/org-lint
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ol-bibtex hides
/usr/local/share/emacs/29.1.50/lisp/org/ol-bibtex
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-comint hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-comint
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-tempo hides
/usr/local/share/emacs/29.1.50/lisp/org/org-tempo
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-element hides
/usr/local/share/emacs/29.1.50/lisp/org/org-element
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ol-gnus hides
/usr/local/share/emacs/29.1.50/lisp/org/ol-gnus
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-mouse hides
/usr/local/share/emacs/29.1.50/lisp/org/org-mouse
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-fold-core
hides /usr/local/share/emacs/29.1.50/lisp/org/org-fold-core
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-C hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-C
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ol-info hides
/usr/local/share/emacs/29.1.50/lisp/org/ol-info
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ol-eww hides
/usr/local/share/emacs/29.1.50/lisp/org/ol-eww
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ol hides
/usr/local/share/emacs/29.1.50/lisp/org/ol
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-plantuml hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-plantuml
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/org-src hides
/usr/local/share/emacs/29.1.50/lisp/org/org-src
/home/ben/.emacs.d/.local/straight/build-29.1.50/org/ob-perl hides
/usr/local/share/emacs/29.1.50/lisp/org/ob-perl
/home/ben/.emacs.d/.local/straight/build-29.1.50/eldoc/eldoc hides
/usr/local/share/emacs/29.1.50/lisp/emacs-lisp/eldoc

Features:
(shadow sort mail-extr emacsbug adaptive-wrap ob-shell
rainbow-delimiters company-shell evil-collection-sh-script sh-script
smie npm-mode json-mode json-snatcher smartparens-javascript
js-mode-expansions js c-ts-common treesit smartparens-c
cc-mode-expansions cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles
cc-align cc-engine cc-vars cc-defs consult-flycheck
evil-collection-consult consult ucs-normalize evil-collection-evil-mc
evil-mc evil-mc-command-execute evil-mc-command-record
evil-mc-cursor-make evil-mc-region evil-mc-cursor-state evil-mc-undo
evil-mc-vars evil-mc-known-commands evil-mc-common company-ispell
company-yasnippet company-dabbrev evil-traces evil-ex image-file
image-converter copilot copilot-balancer jsonrpc projectile project
ibuf-ext evil-collection-ibuffer ibuffer ibuffer-loaddefs executable
magit-bookmark evil-collection-bookmark bookmark delsel tabify
hide-mode-line timezone orgit org-roam-dailies git-gutter-fringe
fringe-helper git-gutter evil-collection-vc-git vc-git vc-dispatcher
jka-compr disp-table org-eldoc org-crypt flyspell-lazy flyspell ispell
toc-org evil-org org-auto-tangle org-indent vertico-directory
cursor-sensor vertico-repeat mule-util oc-basic org-tempo tempo
org-habit ol-bibtex bibtex auto-minor-mode doom-themes-ext-treemacs
doom-themes-ext-org solaire-mode face-remap modus-operandi-theme
modus-themes evil-collection-magit-todos magit-todos pcre2el rxt
re-builder async evil-collection-grep grep evil-collection-compile
compile magit-autoloads evil-collection-magit magit-submodule
magit-obsolete magit-blame magit-stash magit-reflog magit-bisect
magit-push magit-pull magit-fetch magit-clone magit-remote magit-commit
magit-sequence magit-notes magit-worktree magit-tag magit-merge
magit-branch magit-reset magit-files magit-refs magit-status magit
magit-repos magit-apply magit-wip magit-log which-func magit-diff
smerge-mode evil-collection-diff-mode diff-mode magit-core
magit-autorevert autorevert filenotify magit-margin magit-transient
magit-process magit-mode doom-snippets doom-snippets-lib
evil-collection-elisp-mode yasnippet elisp-mode doom-modeline
doom-modeline-segments doom-modeline-env doom-modeline-core shrink-path
f f-shortdoc s evil-collection-which-key which-key savehist
better-jumper company-box company-box-doc frame-local company-box-icons
company-capf company evil-collection-vertico vertico orderless
all-the-icons-completion all-the-icons all-the-icons-faces data-material
data-weathericons data-octicons data-fileicons data-faicons
data-alltheicons marginalia evil-goggles pulse color evil-easymotion
evil-escape evil-snipe recentf tree-widget saveplace
evil-collection-so-long so-long git-commit magit-git magit-base crm
with-editor shell transient server evil-collection-log-edit log-edit
pcvs-util add-log gcmh hl-line winner smartparens-config
smartparens-text smartparens undo-tree diff queue flycheck-popup-tip
evil-collection-popup popup flycheck-cask flycheck-package package-lint
evil-collection-imenu imenu evil-collection-finder finder finder-inf
lisp-mnt evil-collection-package-menu doom-packages package url-handlers
evil-collection-flycheck flycheck ws-butler editorconfig
editorconfig-core editorconfig-core-handle editorconfig-fnmatch
anki-editor ox-dnd ox-pandoc ht ox-org ox-odt rng-loc rng-uri rng-parse
rng-match rng-dt rng-util rng-pttrn nxml-parse nxml-ns nxml-enc xmltok
nxml-util ox-latex ox-icalendar ox-ascii ox-md ox-html table ox-publish
ox vigenere request org-contacts org-agenda gnus-art mm-uu mml2015
mm-view mml-smime smime gnutls dig gnus-sum shr pixel-fill kinsoku
url-file svg dom browse-url url url-proxy url-privacy url-expand
url-methods url-history url-cookie generate-lisp-file url-domsuf
gnus-group gnus-undo gnus-start gnus-dbus dbus xml gnus-cloud nnimap
nnmail mail-source utf7 nnoo parse-time iso8601 gnus-spec gnus-int
gnus-range message sendmail mailcap yank-media puny rfc822 mml mml-sec
evil-collection-epa epa epg rfc6068 epg-config mm-decode mm-bodies
mm-encode mail-parse rfc2231 rfc2047 rfc2045 ietf-drums mailabbrev
gmm-utils mailheader gnus-win evil-collection-gnus gnus nnheader
mail-utils range mm-util mail-prsvr gnus-util text-property-search
the-org-mode-expansions evil-collection-org evil-collection-org-roam
org-roam-migrate org-roam-log org-roam-mode org-roam-capture org-roam-id
org-roam-node org-roam-db emacsql-sqlite-builtin sqlite org-roam-utils
org-roam-compat org-roam org-capture org-attach emacsql-sqlite
emacsql-sqlite-common emacsql emacsql-compiler
evil-collection-magit-section magit-section dash smartparens-org org-yt
org-element org-persist xdg org-id org-refile org ob ob-tangle ob-ref
ob-lob ob-table org-macro org-src ob-comint org-pcomplete pcomplete
evil-collection-comint comint ansi-osc ansi-color org-list org-footnote
org-faces org-entities time-date noutline outline ob-emacs-lisp
org-table org-keys org-loaddefs find-func evil-collection-calendar
cal-menu calendar cal-loaddefs avl-tree generator ol oc ob-exp
whitespace git-link url-util url-parse auth-source eieio eieio-core
password-cache json map url-vars evil-collection-dired dired
dired-loaddefs evil-embrace evil-surround embrace expand-region
text-mode-expansions er-basic-expansions expand-region-core
expand-region-custom eros vi-tilde-fringe highlight-numbers parent-mode
display-line-numbers hl-todo compat dtrt-indent evil-collection-custom
cus-edit cus-load wid-edit evil-collection annalist persistent-scratch
let-alist ob-core org-cycle org-fold org-fold-core org-compat ob-eval
org-version org-macs format-spec derived evil evil-integration evil-maps
evil-commands reveal evil-jumps evil-command-window evil-search
evil-types evil-macros evil-repeat evil-states evil-core byte-opt advice
evil-common windmove calc calc-loaddefs calc-macs thingatpt rect
evil-digraphs evil-vars ring edmacro kmacro use-package-bind-key
bind-key comp comp-cstr warnings icons doom-editor doom-projects doom-ui
easy-mmode doom-keybinds pp cl-extra help-mode use-package-core bytecomp
byte-compile general rx doom-start doom-modules cl-seq doom doom-lib
cl-macs cl-loaddefs cl-lib pcase gv jansson dynamic-modules subr-x rmc
iso-transl tooltip cconv eldoc paren electric uniquify ediff-hook
vc-hooks lisp-float-type mwheel term/x-win x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
font-lock syntax font-core term/tty-colors frame minibuffer nadvice seq
simple cl-generic indonesian philippine cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite emoji-zwj charscript charprop case-table
epa-hook jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button
loaddefs theme-loaddefs faces cus-face macroexp files window
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget keymap hashtable-print-readable backquote threads dbusbind
inotify lcms2 dynamic-setting system-font-setting font-render-setting
cairo x-toolkit xinput2 x multi-tty make-network-process native-compile
emacs)

Memory information:
((conses 16 1367135 93856)
 (symbols 48 84475 1)
 (strings 32 305623 26480)
 (string-bytes 1 12390027)
 (vectors 16 181428)
 (vector-slots 8 3776904 120599)
 (floats 8 2065 803)
 (intervals 56 3989 1021)
 (buffers 984 31))




Acknowledgement sent to Benjamin Schwehn <bschwehn@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#66151; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 10 Apr 2024 15:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.